"use strict";
exports.id = 4105;
exports.ids = [4105];
exports.modules = {

/***/ 2125:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ Controls_Controls)
});

// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Controls/Input.js
const _excluded = ["error", "name", "label", "value", "onChange", "maxLength", "type", "id", "variant"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }





const Input = props => {
  const {
    error = null,
    name,
    label,
    value,
    onChange,
    maxLength,
    type,
    id,
    variant
  } = props,
        other = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/jsx_runtime_.jsx(core_.TextField, _objectSpread(_objectSpread({
    label: label,
    onKeyPress: type === "number" ? customFunctions/* blockInvalidCharacterFromNumberType */.c : null,
    variant: variant || "standard",
    id: id,
    type: type,
    name: name // value={maxLength > 0 ? value.slice(0, maxLength) : value}
    ,
    value: value,
    size: "small"
  }, error && {
    error: true,
    helperText: error
  }), {}, {
    onChange: onChange,
    inputProps: {
      maxLength: maxLength
    }
  }, other));
};

/* harmony default export */ const Controls_Input = (Input);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
;// CONCATENATED MODULE: ./components/Controls/RadioGroup.js





const RadioGroup = props => {
  const {
    name,
    label,
    value,
    onChange,
    items,
    row,
    disabled
  } = props;
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.FormControl, {
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.FormLabel, {
      style: {
        fontSize: 14
      },
      children: label
    }), /*#__PURE__*/jsx_runtime_.jsx(core_.RadioGroup, {
      row: row,
      name: name,
      value: value,
      onChange: onChange,
      children: items.map(item => /*#__PURE__*/jsx_runtime_.jsx(core_.FormControlLabel, {
        style: {
          paddingBottom: 0,
          marginBottom: 0
        },
        disabled: disabled,
        value: item.id,
        control: /*#__PURE__*/jsx_runtime_.jsx(core_.Radio, {}),
        label: item.title
      }, item.id))
    })]
  });
};

/* harmony default export */ const Controls_RadioGroup = (RadioGroup);
;// CONCATENATED MODULE: ./components/Controls/Select.js
const Select_excluded = ["error", "name", "label", "value", "onChange", "options", "required", "size", "noneValue", "noneText", "shrink"];

function Select_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function Select_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { Select_ownKeys(Object(source), true).forEach(function (key) { Select_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { Select_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function Select_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Select_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = Select_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Select_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }






const Select = props => {
  var _ref;

  const {
    error = null,
    name,
    label,
    value,
    onChange,
    options,
    required,
    size,
    noneValue,
    noneText,
    shrink
  } = props,
        others = Select_objectWithoutProperties(props, Select_excluded);

  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.FormControl, Select_objectSpread(Select_objectSpread({
    size: size,
    variant: "outlined",
    required: required ? true : false
  }, error && {
    error: true
  }), {}, {
    fullWidth: true,
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.InputLabel, {
      shrink: shrink,
      children: label
    }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Select, Select_objectSpread(Select_objectSpread({
      label: label,
      name: name,
      value: value,
      onChange: onChange
    }, others), {}, {
      displayEmpty: true,
      children: [noneValue && /*#__PURE__*/jsx_runtime_.jsx(core_.MenuItem, {
        selected: (_ref = noneText.selected === true) !== null && _ref !== void 0 ? _ref : noneText.default === true,
        value: noneText.id,
        required: true,
        children: noneText.title
      }), options.map((item, index) => /*#__PURE__*/jsx_runtime_.jsx(core_.MenuItem // selected={item.selected === true ?? item.default === true}
      , {
        value: item.id,
        required: true,
        children: item.title
      }, index))]
    })), error && /*#__PURE__*/jsx_runtime_.jsx(core_.FormHelperText, {
      children: error
    })]
  }));
};

/* harmony default export */ const Controls_Select = (Select);
;// CONCATENATED MODULE: ./components/Controls/Checkbox.js
const Checkbox_excluded = ["name", "label", "onChange", "value", "indeterminate", "fontsize"];

function Checkbox_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function Checkbox_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { Checkbox_ownKeys(Object(source), true).forEach(function (key) { Checkbox_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { Checkbox_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function Checkbox_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Checkbox_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = Checkbox_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Checkbox_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }





const Checkbox = props => {
  const {
    name,
    label,
    onChange,
    value = false,
    indeterminate,
    fontsize
  } = props,
        rest = Checkbox_objectWithoutProperties(props, Checkbox_excluded);

  const convertToDefaultEventParameter = (name, value) => ({
    target: {
      name,
      value
    }
  });

  return /*#__PURE__*/jsx_runtime_.jsx(core_.FormControl, {
    style: {
      marginBottom: 0,
      marginTop: 0
    },
    children: /*#__PURE__*/jsx_runtime_.jsx(core_.FormControlLabel, Checkbox_objectSpread({
      control: /*#__PURE__*/jsx_runtime_.jsx(core_.Checkbox, {
        indeterminate: indeterminate,
        checked: value,
        onChange: e => onChange(convertToDefaultEventParameter(name, e.target.checked)),
        name: name,
        color: "primary"
      }),
      label: /*#__PURE__*/jsx_runtime_.jsx("span", {
        style: {
          fontSize: fontsize
        },
        children: label
      })
    }, rest))
  });
};

/* harmony default export */ const Controls_Checkbox = (Checkbox);
// EXTERNAL MODULE: external "@material-ui/pickers"
var pickers_ = __webpack_require__(7164);
// EXTERNAL MODULE: external "@date-io/date-fns"
var date_fns_ = __webpack_require__(1172);
var date_fns_default = /*#__PURE__*/__webpack_require__.n(date_fns_);
;// CONCATENATED MODULE: ./components/Controls/DatePicker.js





const DatePicker = props => {
  const {
    name,
    label,
    value,
    onChange,
    disableToolbar,
    minDate,
    inputVariant,
    fullWidth,
    disablePast,
    style
  } = props;

  const convertToDefaultEventParameter = (name, value) => ({
    target: {
      name,
      value
    }
  });

  console.log(minDate); // console.log();

  return /*#__PURE__*/jsx_runtime_.jsx(pickers_.MuiPickersUtilsProvider, {
    utils: (date_fns_default()),
    children: /*#__PURE__*/jsx_runtime_.jsx(pickers_.KeyboardDatePicker, {
      disableToolbar: disableToolbar,
      variant: "normal",
      fullWidth: fullWidth,
      inputVariant: inputVariant || "standard",
      size: "small",
      label: label,
      format: "dd-MMM-yyyy" // minDate={
      //   minDate
      //     ? Date(minDate)
      //     : new Date(
      //         "Fri Nov 19 1980 13:12:27 GMT+0530 (India Standard Time)"
      //       )
      // }
      ,
      name: name,
      value: value // maxDate={maxDate}
      // disablePast={disablePast}
      ,
      onChange: date => onChange(convertToDefaultEventParameter(name, date)),
      KeyboardButtonProps: {
        "aria-label": "change date"
      },
      style: style
    })
  });
};

/* harmony default export */ const Controls_DatePicker = (DatePicker); // import {
//   KeyboardDatePicker,
//   MuiPickersUtilsProvider,
// } from "@material-ui/pickers";
// import React from "react";
// import DateFnsUtils from "@date-io/date-fns";
// const DatePicker = ({
//   name,
//   label,
//   value,
//   onChange,
//   disableToolbar,
//   maxDate,
//   placeholder,
// }) => {
//   return (
//     <div>
//       <MuiPickersUtilsProvider utils={DateFnsUtils}>
//         <KeyboardDatePicker
//           name={name}
//           disableToolbar={disableToolbar}
//           clearable
//           label={label}
//           maxDate={maxDate}
//           inputVariant="outlined"
//           value={value}
//           placeholder={placeholder}
//           // onChange={(date) => handleDateChange(date)}
//           onChange={onChange}
//           minDate={new Date()}
//           format="dd-MMM-yyyy"
//         />
//       </MuiPickersUtilsProvider>
//     </div>
//   );
// };
// export default DatePicker;
;// CONCATENATED MODULE: ./components/Controls/Button.js
const Button_excluded = ["text", "size", "color", "variant", "onClick", "loadingButton", "loadingIndicator", "fullWidthButton", "margin", "borderRadius", "padding"];

function Button_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function Button_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { Button_ownKeys(Object(source), true).forEach(function (key) { Button_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { Button_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function Button_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Button_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = Button_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Button_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// import React from 'react';
// import { Button as MuiButton, makeStyles } from '@material-ui/core';
// const useStyles = makeStyles((theme) => ({
//   root: {
//     margin: theme.spacing(1),
//     paddingTop: theme.spacing(1.5),
//     paddingBottom: theme.spacing(1.5),
//     paddingRight: theme.spacing(2.5),
//     paddingLeft: theme.spacing(2.5),
//   },
//   label: {
//     textTransform: 'none',
//   },
// }));
// const Button = (props) => {
//   const { text, size, color, variant, onClick, ...other } = props;
//   const classes = useStyles();
//   return (
//     <MuiButton
//       color={color || 'primary'}
//       variant={variant || 'contained'}
//       size={size || 'small'}
//       onClick={onClick}
//       {...other}
//       classes={{ root: classes.root, label: classes.label }}
//     >
//       {text}
//     </MuiButton>
//   );
// };
// export default Button;




const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    margin: props => props && props.margin ? theme.spacing(1) : 0,
    paddingBottom: props => props && props.padding ? theme.spacing(2) : theme.spacing(1),
    paddingTop: props => props && props.padding ? theme.spacing(2) : theme.spacing(1),
    paddingRight: props => props && props.padding ? theme.spacing(4) : theme.spacing(2),
    paddingLeft: props => props && props.padding ? theme.spacing(4) : theme.spacing(2),
    borderRadius: props => props.borderRadius === true ? theme.spacing(2) : theme.spacing(1),
    minWidth: props => props.fullWidthButton === true ? "100%" : "auto" // borderRadius: '80% 20% 70% 30% / 36% 57% 43% 64%'

  },
  circularProgress: {
    position: "absolute",
    left: 10
  },
  label: {
    textTransform: "uppercase"
  },
  buttonLoading: {
    margin: props => props.margin ? theme.spacing(1) : 0,
    paddingTop: theme.spacing(1.3),
    paddingBottom: theme.spacing(1.3),
    paddingRight: props => props.fullWidthButton === true ? theme.spacing(5) : theme.spacing(4),
    paddingLeft: props => props.fullWidthButton === true ? theme.spacing(5) : theme.spacing(4),
    // backgroundColor: "rgb(0 0 0 / 26%)",
    // backgroundColor: props.fullWidthButton === true ? "red" : "blue",
    width: props => props.fullWidthButton === true ? "100%" : "auto",
    // borderRadius: '36% 64% 36% 64% / 100% 0% 100% 0% ',
    minWidth: 120,
    borderRadius: props => props.borderRadius === true ? theme.spacing(4) : theme.spacing(1),
    "&:disabled": {
      cursor: "not-allowed",
      pointerEvents: "all !important"
    }
  }
}));

const Button = props => {
  const {
    text,
    size,
    color,
    variant,
    onClick,
    loadingButton,
    loadingIndicator,
    fullWidthButton,
    margin,
    borderRadius,
    padding = true
  } = props,
        other = Button_objectWithoutProperties(props, Button_excluded);

  const classes = useStyles({
    fullWidthButton: fullWidthButton,
    margin: margin,
    borderRadius: borderRadius,
    padding: padding
  });
  return loadingIndicator ? !loadingButton ? /*#__PURE__*/jsx_runtime_.jsx(core_.Button, Button_objectSpread(Button_objectSpread({
    color: color || "primary",
    variant: variant || "contained",
    size: size || "small",
    onClick: onClick
  }, other), {}, {
    classes: {
      root: classes.root,
      label: classes.label
    },
    fullWidth: fullWidthButton ? true : false,
    children: text
  })) : /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Button, {
    disabled: true,
    fullWidth: fullWidthButton ? true : false,
    color: color || "primary",
    size: size || "small",
    classes: {
      root: classes.buttonLoading,
      label: classes.label
    } // style={}
    ,
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.CircularProgress, {
      className: classes.circularProgress,
      size: 15
    }), text]
  }) : /*#__PURE__*/jsx_runtime_.jsx(core_.Button, Button_objectSpread(Button_objectSpread({
    color: color || "primary",
    variant: variant || "contained",
    size: size || "small",
    onClick: onClick
  }, other), {}, {
    classes: {
      root: classes.root,
      label: classes.label
    },
    children: text
  }));
};

Button.defaultProps = {
  margin: true,
  borderRadius: false,
  padding: true
};
/* harmony default export */ const Controls_Button = (Button);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/TextField/TextField.js + 27 modules
var TextField = __webpack_require__(473);
// EXTERNAL MODULE: ./node_modules/@material-ui/lab/esm/Autocomplete/Autocomplete.js + 7 modules
var Autocomplete = __webpack_require__(8679);
// EXTERNAL MODULE: external "autosuggest-highlight/parse"
var parse_ = __webpack_require__(8780);
var parse_default = /*#__PURE__*/__webpack_require__.n(parse_);
// EXTERNAL MODULE: external "autosuggest-highlight/match"
var match_ = __webpack_require__(4070);
var match_default = /*#__PURE__*/__webpack_require__.n(match_);
;// CONCATENATED MODULE: ./components/Controls/AutoCompleteHighlight.js
const AutoCompleteHighlight_excluded = ["id", "value", "options", "getOptionLabel", "getOptionSelected", "label", "variant", "onChange"];

function AutoCompleteHighlight_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function AutoCompleteHighlight_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { AutoCompleteHighlight_ownKeys(Object(source), true).forEach(function (key) { AutoCompleteHighlight_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { AutoCompleteHighlight_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function AutoCompleteHighlight_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function AutoCompleteHighlight_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = AutoCompleteHighlight_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function AutoCompleteHighlight_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/* eslint-disable no-use-before-define */







const AutoCompleteHighlight = _ref => {
  let {
    id,
    value,
    options,
    getOptionLabel,
    getOptionSelected,
    label,
    variant,
    onChange
  } = _ref,
      rest = AutoCompleteHighlight_objectWithoutProperties(_ref, AutoCompleteHighlight_excluded);

  return /*#__PURE__*/jsx_runtime_.jsx(Autocomplete/* default */.ZP, AutoCompleteHighlight_objectSpread({
    id: id,
    value: value,
    onChange: onChange,
    options: options,
    getOptionLabel: getOptionLabel,
    getOptionSelected: getOptionSelected,
    renderInput: params => /*#__PURE__*/jsx_runtime_.jsx(TextField/* default */.Z, AutoCompleteHighlight_objectSpread(AutoCompleteHighlight_objectSpread({}, params), {}, {
      label: label,
      variant: variant || 'outlined',
      margin: "normal"
    })),
    renderOption: (option, {
      inputValue
    }) => {
      const matches = match_default()(option.supplier_name || option.outlet_name || option, inputValue);
      const parts = parse_default()(option.supplier_name || option.outlet_name || option, matches);
      return /*#__PURE__*/jsx_runtime_.jsx("div", {
        children: parts.map((part, index) => /*#__PURE__*/jsx_runtime_.jsx("span", {
          style: {
            fontWeight: part.highlight ? 700 : 400
          },
          children: part.text
        }, index))
      });
    }
  }, rest));
};

/* harmony default export */ const Controls_AutoCompleteHighlight = (AutoCompleteHighlight);
// EXTERNAL MODULE: external "@material-ui/lab"
var lab_ = __webpack_require__(4508);
;// CONCATENATED MODULE: ./components/Controls/MuiAutoComplete.js
function MuiAutoComplete_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function MuiAutoComplete_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { MuiAutoComplete_ownKeys(Object(source), true).forEach(function (key) { MuiAutoComplete_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { MuiAutoComplete_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function MuiAutoComplete_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

 // import PropTypes from 'prop-types';







const MuiAutoComplete = props => {
  const {
    options,
    id,
    name,
    getOptionLabel,
    value,
    onChange,
    label,
    variant,
    getOptionSelected,
    className,
    fullWidth,
    style,
    error,
    margin,
    helperText,
    disableClearable
  } = props;
  return /*#__PURE__*/jsx_runtime_.jsx(lab_.Autocomplete, {
    id: id,
    style: style,
    name: name,
    options: options,
    getOptionLabel: getOptionLabel,
    getOptionSelected: getOptionSelected,
    value: value,
    onChange: onChange,
    fullWidth: fullWidth,
    className: className,
    margin: margin,
    disableClearable: disableClearable,
    renderInput: params => /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
      children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TextField, MuiAutoComplete_objectSpread(MuiAutoComplete_objectSpread({}, params), {}, {
        margin: margin,
        name: name,
        label: label,
        variant: variant || "standard",
        fullWidth: fullWidth
      }, error && {
        error: true,
        helperText: error
      })), error && /*#__PURE__*/jsx_runtime_.jsx(core_.FormHelperText, {
        children: helperText
      })]
    })
  });
}; // MuiAutoComplete.propTypes = {};


/* harmony default export */ const Controls_MuiAutoComplete = (MuiAutoComplete);
{
  /* <Field
                        component={Controls.MuiAutoComplete}
                        id="Operator"
                        name="Operator"
                        label="Operator"
                        getOptionLabel={(option) =>
                          option.operator !== undefined ? option.operator : ''
                        }
                        getOptionSelected={(option, values) =>
                          option.operator === values.operator
                        }
                        value={values.Operator_Options || null}
                        onChange={(e, value) => {
                          value !== null &&
                            setFieldValue('Operator_Options', value);
                          setFieldValue('Operator', value?.Operator);
                        }}
                        options={optionOperators}
                      /> */
}
;// CONCATENATED MODULE: ./components/Controls/AutoCompleteSingle.js
const AutoCompleteSingle_excluded = ["options", "id", "onChange", "value", "label", "name", "variant", "getOptionSelected"];

function AutoCompleteSingle_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function AutoCompleteSingle_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { AutoCompleteSingle_ownKeys(Object(source), true).forEach(function (key) { AutoCompleteSingle_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { AutoCompleteSingle_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function AutoCompleteSingle_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function AutoCompleteSingle_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = AutoCompleteSingle_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function AutoCompleteSingle_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }






const AutoCompleteSingle = _ref => {
  let {
    options,
    id,
    onChange,
    value,
    label,
    name,
    variant,
    getOptionSelected
  } = _ref,
      rest = AutoCompleteSingle_objectWithoutProperties(_ref, AutoCompleteSingle_excluded);

  return /*#__PURE__*/jsx_runtime_.jsx(Autocomplete/* default */.ZP, AutoCompleteSingle_objectSpread({
    options: options,
    id: id,
    name: name,
    renderInput: params => /*#__PURE__*/jsx_runtime_.jsx(TextField/* default */.Z, AutoCompleteSingle_objectSpread(AutoCompleteSingle_objectSpread({}, params), {}, {
      label: label,
      margin: "normal",
      variant: variant || 'standard'
    })),
    value: value,
    onChange: onChange,
    getOptionSelected: getOptionSelected
  }, rest));
};

/* harmony default export */ const Controls_AutoCompleteSingle = (AutoCompleteSingle);
;// CONCATENATED MODULE: ./components/Controls/ActionButton.js
const ActionButton_excluded = ["color", "children", "onClick"];

function ActionButton_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function ActionButton_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ActionButton_ownKeys(Object(source), true).forEach(function (key) { ActionButton_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ActionButton_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function ActionButton_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function ActionButton_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = ActionButton_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function ActionButton_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }



const ActionButton_useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    minWidth: 0,
    margin: theme.spacing(0.5),
    fontSize: 13,
    textTransform: "capitalize"
  },
  secondary: {
    backgroundColor: theme.palette.secondary.light,
    "& .MuiButton-label": {
      color: theme.palette.secondary.main
    }
  },
  primary: {
    backgroundColor: theme.palette.primary.light,
    "& .MuiButton-label": {
      color: theme.palette.primary.main
    }
  }
}));

const ActionButton = props => {
  const classes = ActionButton_useStyles();

  const {
    color,
    children,
    onClick
  } = props,
        others = ActionButton_objectWithoutProperties(props, ActionButton_excluded);

  return /*#__PURE__*/jsx_runtime_.jsx(core_.Button, ActionButton_objectSpread(ActionButton_objectSpread({}, others), {}, {
    className: `${props.className} ${classes.root} ${classes[color]}`,
    onClick: onClick,
    children: children
  }));
};

/* harmony default export */ const Controls_ActionButton = (ActionButton);
;// CONCATENATED MODULE: ./components/Controls/CustomSelect.js
const CustomSelect_excluded = ["error", "name", "label", "value", "onChange", "options", "required", "size", "helperText", "shrink"];

function CustomSelect_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function CustomSelect_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { CustomSelect_ownKeys(Object(source), true).forEach(function (key) { CustomSelect_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { CustomSelect_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function CustomSelect_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function CustomSelect_objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = CustomSelect_objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function CustomSelect_objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }






const CustomSelect = props => {
  const {
    error = null,
    name,
    label,
    value,
    onChange,
    options,
    required,
    size,
    helperText,
    shrink
  } = props,
        others = CustomSelect_objectWithoutProperties(props, CustomSelect_excluded);

  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.FormControl, CustomSelect_objectSpread(CustomSelect_objectSpread({
    size: size,
    variant: "outlined",
    required: required ? true : false
  }, error && {
    error: true
  }), {}, {
    fullWidth: true,
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Select, CustomSelect_objectSpread(CustomSelect_objectSpread({
      label: label,
      name: name,
      value: value,
      onChange: onChange
    }, others), {}, {
      displayEmpty: true,
      children: options.map((item, index) => /*#__PURE__*/jsx_runtime_.jsx(core_.MenuItem, {
        value: item.id,
        required: true,
        children: item.title
      }, index))
    })), error && /*#__PURE__*/jsx_runtime_.jsx(core_.FormHelperText, {
      children: helperText
    })]
  }));
};

/* harmony default export */ const Controls_CustomSelect = (CustomSelect);
;// CONCATENATED MODULE: ./components/Controls/RangeDatePicker.js
function RangeDatePicker_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function RangeDatePicker_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { RangeDatePicker_ownKeys(Object(source), true).forEach(function (key) { RangeDatePicker_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { RangeDatePicker_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function RangeDatePicker_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }









const CDateRangePicker = props => {
  const {
    name,
    label,
    value,
    onChange,
    disableToolbar,
    maxDate,
    inputVariant,
    fullWidth
  } = props;

  const convertToDefaultEventParameter = (name, value) => ({
    target: {
      name,
      value
    }
  });

  return /*#__PURE__*/jsx_runtime_.jsx(pickers_.LocalizationProvider, {
    utils: (date_fns_default()),
    children: /*#__PURE__*/jsx_runtime_.jsx(pickers_.DateRangePicker, {
      startText: "Check-in",
      endText: "Check-out",
      disableToolbar: disableToolbar,
      variant: "normal",
      fullWidth: fullWidth,
      inputVariant: inputVariant || "standard",
      size: "small",
      label: label,
      format: "dd-MMM-yyyy",
      name: name,
      value: value,
      maxDate: maxDate,
      onChange: date => onChange(convertToDefaultEventParameter(name, date)),
      renderInput: (startProps, endProps) => /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TextField, RangeDatePicker_objectSpread({}, startProps)), /*#__PURE__*/jsx_runtime_.jsx(pickers_.DateRangeDelimiter, {
          children: " to "
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.TextField, RangeDatePicker_objectSpread({}, endProps))]
      }),
      KeyboardButtonProps: {
        "aria-label": "change date"
      }
    })
  });
};

/* harmony default export */ const RangeDatePicker = (CDateRangePicker); // import {
//   KeyboardDatePicker,
//   MuiPickersUtilsProvider,
// } from "@material-ui/pickers";
// import React from "react";
// import DateFnsUtils from "@date-io/date-fns";
// const DatePicker = ({
//   name,
//   label,
//   value,
//   onChange,
//   disableToolbar,
//   maxDate,
//   placeholder,
// }) => {
//   return (
//     <div>
//       <MuiPickersUtilsProvider utils={DateFnsUtils}>
//         <KeyboardDatePicker
//           name={name}
//           disableToolbar={disableToolbar}
//           clearable
//           label={label}
//           maxDate={maxDate}
//           inputVariant="outlined"
//           value={value}
//           placeholder={placeholder}
//           // onChange={(date) => handleDateChange(date)}
//           onChange={onChange}
//           minDate={new Date()}
//           format="dd-MMM-yyyy"
//         />
//       </MuiPickersUtilsProvider>
//     </div>
//   );
// };
// export default DatePicker;
;// CONCATENATED MODULE: ./components/Controls/Controls.js












const Controls = {
  Input: Controls_Input,
  RadioGroup: Controls_RadioGroup,
  Select: Controls_Select,
  Checkbox: Controls_Checkbox,
  DatePicker: Controls_DatePicker,
  Button: Controls_Button,
  AutoCompleteHighlight: Controls_AutoCompleteHighlight,
  MuiAutoComplete: Controls_MuiAutoComplete,
  AutoCompleteSingle: Controls_AutoCompleteSingle,
  ActionButton: Controls_ActionButton,
  CustomSelect: Controls_CustomSelect,
  CDateRangePicker: RangeDatePicker
};
/* harmony default export */ const Controls_Controls = (Controls);

/***/ }),

/***/ 2389:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "i": () => (/* binding */ useWindowSize)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
 // Hook

const useWindowSize = () => {
  // Initialize state with undefined width/height so server and client renders match
  // Learn more here: https://joshwcomeau.com/react/the-perils-of-rehydration/
  const {
    0: windowSize,
    1: setWindowSize
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({
    width: undefined,
    height: undefined
  });
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    // Handler to call on window resize
    function handleResize() {
      // Set window width/height to state
      setWindowSize({
        width: window.innerWidth,
        height: window.innerHeight
      });
    } // Add event listener


    window.addEventListener('resize', handleResize); // Call handler right away so state gets updated with initial window size

    handleResize(); // Remove event listener on cleanup

    return () => window.removeEventListener('resize', handleResize);
  }, []); // Empty array ensures that effect is only run on mount

  return windowSize;
};

/***/ }),

/***/ 9564:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "KQ": () => (/* binding */ getAllCategory),
/* harmony export */   "Gb": () => (/* binding */ populateCategory),
/* harmony export */   "lJ": () => (/* binding */ populateCategoryFailed)
/* harmony export */ });
/* harmony import */ var _redux_constants_category_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5220);

const getAllCategory = () => {
  return {
    type: _redux_constants_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_CATEGORY_REQUEST */ .hn
  };
};
const populateCategory = entries => {
  return {
    type: _redux_constants_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_CATEGORY_SUCCESS */ .O0,
    payload: entries
  };
};
const populateCategoryFailed = error => {
  return {
    type: _redux_constants_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_CATEGORY_FAILURE */ .g4,
    payload: error
  };
};

/***/ }),

/***/ 5220:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "hn": () => (/* binding */ LOAD_CATEGORY_REQUEST),
/* harmony export */   "O0": () => (/* binding */ LOAD_CATEGORY_SUCCESS),
/* harmony export */   "g4": () => (/* binding */ LOAD_CATEGORY_FAILURE)
/* harmony export */ });
const LOAD_CATEGORY_REQUEST = 'LOAD_CATEGORY_REQUEST';
const LOAD_CATEGORY_SUCCESS = 'LOAD_CATEGORY_SUCCESS';
const LOAD_CATEGORY_FAILURE = 'LOAD_CATEGORY_FAILURE';

/***/ }),

/***/ 1944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ge": () => (/* binding */ mergeArrayObjects),
/* harmony export */   "jd": () => (/* binding */ checkNumeric),
/* harmony export */   "c": () => (/* binding */ blockInvalidCharacterFromNumberType),
/* harmony export */   "oH": () => (/* binding */ validateEmail),
/* harmony export */   "kC": () => (/* binding */ capitalize)
/* harmony export */ });
/* unused harmony exports windowWidth, getCookieData */
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6155);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(js_cookie__WEBPACK_IMPORTED_MODULE_0__);
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


const mergeArrayObjects = (arr1, arr2) => {
  let start = 0;
  let merge = [];

  while (start < arr1.length) {
    if (arr1[start].id === arr2[start].id) {
      //pushing the merged objects into array
      merge.push(_objectSpread(_objectSpread({}, arr1[start]), arr2[start]));
    } //incrementing start value


    start = start + 1;
  }

  return merge;
};
const checkNumeric = valueToBeChecked => {
  const patternOnlyNumeric = /^[0-9]+$/;
  return patternOnlyNumeric.test(valueToBeChecked);
};
/*-------------------------------------------------------------
    Block Invalid character in Number Type Input Field         
==============================================================*/

const blockInvalidCharacterFromNumberType = e => ["e", "E", "+", "-"].includes(e.key) && e.preventDefault();
const windowWidth = (/* unused pure expression or super */ null && ( false && 0));
/*----------------------------------
         CHECK VALID EMAIL          
==================================*/

const validateEmail = email => {
  const pattern = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return pattern.test(String(email).toLowerCase());
};
/*----------------------------------
         GET COOKIE DATA          
==================================*/

const getCookieData = () => {
  const mobile = Cookies.get("mobile");
  const regId = Cookies.get("regId");
  const loginKey = Cookies.get("loginKey");
  const password = Cookies.get("password");
  const device = Cookies.get("device") || "1244115844";
  const ip = Cookies.get("ip");
  return {
    regId,
    validationData: {
      mobile,
      data: {
        device,
        ip,
        loginKey,
        password
      }
    }
  };
};
/*----------------------------------
          CAPITALIZE SENTENCE          
==================================*/

const capitalize = (str, lower = true) => {
  var _ref;

  return (_ref = lower ? str === null || str === void 0 ? void 0 : str.toLowerCase() : str) === null || _ref === void 0 ? void 0 : _ref.replace(/(?:^|\s|["'([{])+\S/g, match => match === null || match === void 0 ? void 0 : match.toUpperCase());
};
/*----------------------------------
          CAPITALIZE SENTENCE          
==================================*/

/***/ })

};
;