"use strict";
(() => {
var exports = {};
exports.id = 9081;
exports.ids = [9081];
exports.modules = {

/***/ 6781:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ passbook),
  "getServerSideProps": () => (/* binding */ getServerSideProps)
});

// EXTERNAL MODULE: ./components/ContainerComponent.jsx
var ContainerComponent = __webpack_require__(740);
// EXTERNAL MODULE: ./components/Overlay.js + 1 modules
var Overlay = __webpack_require__(2669);
// EXTERNAL MODULE: ./components/PageSecondary.jsx
var PageSecondary = __webpack_require__(5688);
// EXTERNAL MODULE: ./components/RequireAuthentication/RequireAuthentication.js
var RequireAuthentication = __webpack_require__(9625);
// EXTERNAL MODULE: ./components/RouteGuard.jsx + 1 modules
var RouteGuard = __webpack_require__(7115);
// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: ./components/PageHeader.jsx
var PageHeader = __webpack_require__(1388);
// EXTERNAL MODULE: ./components/Spinner.js
var Spinner = __webpack_require__(5564);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/Passbook/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }

  if (!values.Email) {
    errors.Email = "Email address is required.";
  }

  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  }

  return errors;
};
/* initialValues: {
//       Mobile: props?.userInfo?.Mobile ? props?.userInfo?.Mobile : "",
//       Email: props?.userInfo?.Email ? props?.userInfo?.Email : "",
//       Address: props?.userInfo?.Address ? props?.userInfo?.Address : "",
//       gender:
//         props?.userInfo?.gender && props?.userInfo?.gender !== "NA"
//           ? props?.userInfo?.gender
//           : "male",
//       Name: props?.userInfo?.Name ? props?.userInfo?.Name : "",
//       zip: props?.userInfo?.zip ? props?.userInfo?.zip : "",
//       city: props?.userInfo?.city ? props?.userInfo?.city : "",
//       state: props?.userInfo?.state ? props?.userInfo?.state : "",
//       reg_date: props?.userInfo?.reg_date ? props?.userInfo?.reg_date : "",
//     }, */


const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];
const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    maxWidth: `100%`,
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5) // color: "#ccc",

  }
}));

// EXTERNAL MODULE: external "react-moment"
var external_react_moment_ = __webpack_require__(3818);
var external_react_moment_default = /*#__PURE__*/__webpack_require__.n(external_react_moment_);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(9914);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Styled/MoneyButton.js


const MoneyButton = external_styled_components_default().button.attrs({
  type: "button"
})`
  display: flex;
  margin-top: 0.5rem;
  border-radius: 1rem;
  background-color: ${props => props.windowWidth > 480 ? "red" : "white"};
  height: ${props => props.windowWidth > 480 ? "1.875rem" : "1.45rem"};
  width: ${props => props.windowWidth > 480 ? "3.638rem" : "2.8rem"};
  margin-right: ${props => props.windowWidth > 480 ? "1rem" : "0.5rem"};
  padding-right: ${props => props.windowWidth > 480 ? "0.5rem" : "1.5rem"};
  padding-left: ${props => props.windowWidth > 480 ? "0.5rem" : "1.5rem"};
  font-size: ${props => props.windowWidth < 480 && "0.75rem"};
  text-align: center;
  background-color: #fafafa;
  border: 2px solid #3da3e3;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  &:hover {
    color: #fafafa;
    background-color: #3da3e3;
  }
`;
const MoneyButtonWrapper = ({
  amount,
  onClick,
  windowWidth
}) => {
  return /*#__PURE__*/jsx_runtime_.jsx(MoneyButton, {
    onClick: onClick,
    windowWidth: windowWidth,
    children: amount
  });
};
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
;// CONCATENATED MODULE: ./components/AddMoneyToWallet/index.js













const LoadOperators = () => {
  const {
    values,
    setFieldValue
  } = (0,external_formik_.useFormikContext)();
  (0,external_react_.useEffect)(() => {
    setFieldValue("amount", "0");
  }, [setFieldValue]);
  return null;
};

const AddMoneyToWallet = ({
  walletBalance
}) => {
  const router = (0,router_.useRouter)();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    loading
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const {
    userInfo
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    0: loadingButton,
    1: setLoadingButton
  } = (0,external_react_.useState)(false);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();

  const validate = values => {
    const errors = {};

    if (values.amount === 0 || values.amount === "0") {
      errors.amount = "Please enter amount greater than 0";
    }

    if (values.amount === "") {
      errors.amount = "Please enter amount ";
    }

    return errors;
  };

  return /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Formik, {
    initialValues: {
      amount: 0
    },
    validate: validate,
    onSubmit: (values, actions) => {
      const {
        amount
      } = values;
       false && 0;
      setLoadingButton(true);
      router.push({
        pathname: "/passbook/transaction"
      }); // setTimeout(() => {
      //   alert(JSON.stringify(values, null, 2));
      //   actions.setSubmitting(false);
      // }, 1000);
      // history.push()
      // dispatch(
      //   openModal({
      //     modalType: ModalExample,
      //     modalProps: {
      //       component: (
      //         <Razorpay
      //           amount={values.amount}
      //           userInfo={userInfo}
      //           windowWidth={windowWidth}
      //         />
      //       ),
      //       open: true,
      //       // setOpen: setOpen,
      //       // widthDrawer: 800,
      //       closeDrawerAction: true,
      //     },
      //   })
      // );
    },
    children: ({
      setFieldValue,
      values,
      handleSubmit,
      handleChange,
      touched,
      errors,
      setErrors
    }) => {
      var _parseFloat;

      return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [loading && /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx("div", {
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
            variant: "subtitle2",
            style: {
              fontSize: "1.2rem"
            },
            children: ["Available Wallet Balance : \u20B9", walletBalance]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Form, {
          onSubmit: handleSubmit,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            style: {
              display: "flex",
              justifyContent: "flex-start",
              flexDirection: windowWidth > 768 ? "row" : "column",
              alignItems: "center"
            },
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              style: {
                display: "flex",
                width: "100%",
                flex: "2 1 170%"
              },
              children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                style: {
                  display: "flex",
                  flexDirection: "column",
                  flex: "2 1 190%"
                },
                children: [/*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "amount",
                  name: "amount",
                  label: "Amount",
                  value: values.amount,
                  onChange: handleChange,
                  error: touched.amount && Boolean(errors.amount),
                  helperText: touched.amount && errors.amount,
                  variant: "standard",
                  size: "medium",
                  margin: "normal",
                  placeholder: "Please Enter Amount",
                  maxLength: 6
                }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                  style: {
                    flexDirection: windowWidth > 400 ? "row" : "column",
                    display: "inline-flex",
                    // justifyContent:
                    //   windowWidth > 768 ? "flex-start" : "center",
                    alignItems: windowWidth > 768 ? "flex-start" : "center"
                  },
                  children: [/*#__PURE__*/jsx_runtime_.jsx(MoneyButtonWrapper, {
                    amount: "+500",
                    windowWidth: windowWidth,
                    onClick: () => setFieldValue("amount", 500)
                  }), /*#__PURE__*/jsx_runtime_.jsx(MoneyButtonWrapper, {
                    amount: "+1000",
                    windowWidth: windowWidth,
                    onClick: () => setFieldValue("amount", 1000)
                  }), /*#__PURE__*/jsx_runtime_.jsx(MoneyButtonWrapper, {
                    amount: "+2000",
                    windowWidth: windowWidth,
                    onClick: () => setFieldValue("amount", 2000)
                  }), /*#__PURE__*/jsx_runtime_.jsx(MoneyButtonWrapper, {
                    amount: "+3000",
                    windowWidth: windowWidth,
                    onClick: () => setFieldValue("amount", 3000)
                  }), /*#__PURE__*/jsx_runtime_.jsx(MoneyButtonWrapper, {
                    amount: "+5000",
                    windowWidth: windowWidth,
                    onClick: () => setFieldValue("amount", 5000)
                  })]
                })]
              })
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              style: {
                width: windowWidth > 768 ? "100%" : "100%",
                display: "flex",
                justifyContent: windowWidth > 768 ? "flex-end" : "center",
                marginTop: windowWidth < 768 && "1rem",
                minWidth: windowWidth > 360 ? "14rem" : "13rem"
              },
              children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
                color: "primary",
                variant: "contained",
                type: "submit",
                text: (values === null || values === void 0 ? void 0 : values.amount) > 0 ? `Add ₹ ${(_parseFloat = parseFloat(values === null || values === void 0 ? void 0 : values.amount)) === null || _parseFloat === void 0 ? void 0 : _parseFloat.toFixed(2)} To Wallet` : "Add Money To Wallet",
                fullWidthButton: windowWidth >= 768 ? false : true,
                loadingIndicator: true,
                loadingButton: loadingButton,
                style: {
                  // borderRadius: 32,
                  position: windowWidth > 768 ? "relative" : "static",
                  marginTop: windowWidth > 768 ? 0 : 16,
                  // top: -24,
                  paddingTop: 12,
                  paddingBottom: 12,
                  marginRight: windowWidth < 768 && -16,
                  marginLeft: windowWidth < 768 && -16
                } // onClick={() => {
                //   // dispatch(
                //   //   goToRazorPay({
                //   //     windowWidth,
                //   //     amount: values.amount,
                //   //     userInfo,
                //   //   })
                //   // );
                // }}

              })
            })]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(LoadOperators //   userInfo={userInfo}
        //   loading={loading}
        //   userInfoWithRegId={userInfoWithRegId}
        , {})]
      });
    }
  });
};

/* harmony default export */ const components_AddMoneyToWallet = (AddMoneyToWallet);
// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: ./components/AlertMessage.js
var AlertMessage = __webpack_require__(7641);
;// CONCATENATED MODULE: ./screens/Passbook/PassbookComponent.jsx
// import Overlay from "@/components/Overlay";
// import PageHeader from "@/components/PageHeader";














 // import MyProfileForm from "./_Form";





const PassBookComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isAuthenticated
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    passbook,
    loading: loadPass,
    wallet_balance
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
        title: "Passbook",
        subTitle: "Manage Your Transaction History from Here"
      }), /*#__PURE__*/jsx_runtime_.jsx(components_AddMoneyToWallet, {
        walletBalance: wallet_balance
      }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableContainer, {
        className: "scrollbar",
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Table, {
          style: {
            minWidth: 600,
            overflowX: "auto"
          },
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TableHead, {
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.TableRow, {
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                style: {
                  textTransform: "uppercase",
                  minWidth: 350
                },
                children: "Transactions"
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                style: {
                  textTransform: "uppercase"
                },
                children: "Amount"
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                style: {
                  textTransform: "uppercase"
                },
                children: "Status"
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                style: {
                  textTransform: "uppercase",
                  minWidth: 200
                },
                children: "Remarks"
              })]
            })
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.TableBody, {
            children: [loadPass && /*#__PURE__*/jsx_runtime_.jsx(core_.TableRow, {
              children: /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                colSpan: 6,
                children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("center", {
                  children: [" ", /*#__PURE__*/jsx_runtime_.jsx(Spinner/* default */.Z, {})]
                })
              })
            }), !loadPass && external_lodash_default().isEmpty(passbook) && /*#__PURE__*/jsx_runtime_.jsx(core_.TableRow, {
              children: /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                colSpan: 6,
                children: /*#__PURE__*/jsx_runtime_.jsx("center", {
                  children: "You have not made any transactions yet"
                })
              })
            }), !loadPass && !external_lodash_default().isEmpty(passbook) && passbook.map(transaction => {
              const {
                amount,
                operator,
                operation,
                remark,
                Transection_status,
                date,
                acount,
                bank_ref_ID,
                tid,
                status
              } = transaction;
              return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.TableRow, {
                children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                  style: {
                    width: "600px"
                  },
                  children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
                    container: true,
                    spacing: 2,
                    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                      item: true,
                      sm: 4,
                      xs: 4,
                      md: 2,
                      children: /*#__PURE__*/jsx_runtime_.jsx(core_.Avatar, {
                        alt: "Remy Sharp" // src="/static/images/avatar/1.jpg"
                        ,
                        src: Transection_status.toUpperCase() === "CREDIT" ? `/assets/images/rupee_up.png` : `/assets/images/rupee_down.png`
                      })
                    }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
                      item: true,
                      xs: 8,
                      sm: 8,
                      md: 10,
                      children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                        variant: "body2",
                        children: operator === "PG" ? "Money Added to Wallet" : operator
                      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                        variant: "h6",
                        style: {
                          fontSize: "1.1rem",
                          marginBottom: "0.2rem"
                        },
                        children: [operation === "wallet" && "Add Money", operation === "Service_booking" && `Order Booking for ID ${acount}`, operation === "recharge" && `Recharge/Bill Payment for ${acount}`]
                      }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                        variant: "body2",
                        style: {
                          marginBottom: "0.8rem"
                        },
                        children: /*#__PURE__*/jsx_runtime_.jsx((external_react_moment_default()), {
                          date: date,
                          format: "DD-MM-YYYY hh:mm A"
                        })
                      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                        variant: "body2",
                        children: ["Transaction ID ", tid]
                      })]
                    })]
                  })
                }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                  children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                    variant: "subtitle1",
                    children: Transection_status.toUpperCase() === "CREDIT" ? `+${amount}` : `-${amount}`
                  })
                }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                  children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                    variant: "subtitle1",
                    children: status.toUpperCase()
                  })
                }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                  children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                    variant: "subtitle1",
                    children: (0,customFunctions/* capitalize */.kC)(remark)
                  })
                })]
              }, tid);
            })]
          })]
        })
      })]
    })
  });
};

/* harmony default export */ const PassbookComponent = (PassBookComponent);
// EXTERNAL MODULE: external "@redux-saga/core"
var external_redux_saga_core_ = __webpack_require__(3530);
// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(701);
;// CONCATENATED MODULE: ./pages/passbook/index.js

















const passbook_useStyles = (0,core_.makeStyles)(theme => ({
  root: {},
  paper: {
    borderRadius: theme.spacing(4)
  }
}));

const Passbook = () => {
  const dispatch = (0,external_react_redux_.useDispatch)(); // useEffect(() => {
  //   dispatch(
  //     getPassBook({ mbl: Cookies.get("mobile"), reg_id: Cookies.get("regId") })
  //   );
  // }, [dispatch]);

  const {
    loading
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const classes = passbook_useStyles();
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/jsx_runtime_.jsx(PageSecondary/* PageSecondary */.$, {
      paper: true,
      title: "Passbook",
      loading: loading,
      children: /*#__PURE__*/jsx_runtime_.jsx(PassbookComponent, {})
    })
  });
}; // export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
//   // store.dispatch(getAllCategory());
//   // if (!store.getState().Category) {
//   //   store.dispatch(getAllCategory());
//   //   store.dispatch(END);
//   // }
//   store.dispatch(getAllCategory());
//   // store.dispatch(getWalletBalance({ mbl, reg_id }));
//   store.dispatch(END);
//   await store.sagaTask.toPromise();
// });


const getServerSideProps = (0,RequireAuthentication/* requireAuthentication */.Z)(store/* wrapper.getServerSideProps */.YS.getServerSideProps(async ctx => {
  ctx.store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  ctx.store.dispatch(external_redux_saga_core_.END);
  await ctx.store.sagaTask.toPromise();
  return {
    props: {}
  };
}));
/* harmony default export */ const passbook = (Passbook);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 9914:
/***/ ((module) => {

module.exports = require("styled-components");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,4105,352,2208,6941,8615,1388,5688,7115,5564], () => (__webpack_exec__(6781)));
module.exports = __webpack_exports__;

})();