"use strict";
(() => {
var exports = {};
exports.id = 8675;
exports.ids = [8675];
exports.modules = {

/***/ 6401:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ transaction),
  "getServerSideProps": () => (/* binding */ getServerSideProps)
});

// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@redux-saga/core"
var core_ = __webpack_require__(3530);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: ./redux/actions/alert.action.js
var alert_action = __webpack_require__(4187);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: external "@material-ui/core"
var external_material_ui_core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "axios"
var external_axios_ = __webpack_require__(2376);
var external_axios_default = /*#__PURE__*/__webpack_require__.n(external_axios_);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./components/AlertMessage.js
var AlertMessage = __webpack_require__(7641);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Razorpay/index.js
/* eslint-disable jsx-a11y/click-events-have-key-events */














const useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    width: props => props && props.windowWidth < 768 ? `${props.windowWidth - 96}px` : "100%",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    marginBottom: props => props && props.windowWidth < 768 ? `0rem` : "16.7rem"
  },
  typography: {
    marginTop: theme.spacing(0),
    padding: theme.spacing(2, 1),
    fontSize: theme.spacing(2.5),
    display: "flex",
    justifyContent: "flex-start"
  },
  rate: {
    marginTop: theme.spacing(0),
    padding: theme.spacing(2, 2),
    fontSize: theme.spacing(2.5),
    display: "flex",
    justifyContent: "flex-end"
  },
  buttonFlex: {
    display: "flex",
    flexDirection: props => props && props.windowWidth < 768 ? `column` : "row",
    justifyContent: "flex-start"
  },
  buttonPayment: {
    borderRadius: 32,
    paddingTop: 12,
    maxWidth: props => props && props.windowWidth < 768 ? "calc(100% - 20px)" : `calc(100% - 80px)`,
    paddingBottom: 12,
    marginRight: props => props && props.windowWidth < 768 ? "0px" : theme.spacing(2),
    marginBottom: props => props && props.windowWidth > 768 ? "0px" : theme.spacing(2)
  }
}));

function Razorpay({
  amount
}) {
  var _parseFloat;

  const dispatch = (0,external_react_redux_.useDispatch)();
  const moneyString = (_parseFloat = parseFloat(amount === null || amount === void 0 ? void 0 : amount.toString())) === null || _parseFloat === void 0 ? void 0 : _parseFloat.toFixed(2);
  const {
    alertOpen
  } = (0,external_react_redux_.useSelector)(state => state.alert);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  const reg_id = external_js_cookie_default().get("regId");
  const mbl = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    // dispatch(getMyProfile(reg_id, mbl));
    dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl
    }));
  }, [dispatch, reg_id, mbl]);
  const classes = useStyles({
    windowWidth
  });
  (0,external_react_.useEffect)(() => {
    if (typeof amount === "undefined" || amount === null) {
      if (window.location.href !== `${window.location.origin}/mobile`) {
        // Redirect logic
        setTimeout(() => {
          window.location.replace("/mobile");
        }, 3000);
      }
    }
  }, [amount]);
  const {
    userInfo
  } = (0,external_react_redux_.useSelector)(state => state.myProfile); // const amount_in_paisa = `${amount * 100}`;

  function loadScript(src) {
    return new Promise(resolve => {
      const script = document.createElement("script");
      script.src = src;

      script.onload = () => {
        resolve(true);
      };

      script.onerror = () => {
        resolve(false);
      };

      document.body.appendChild(script);
    });
  }

  async function displayRazorpay() {
    try {
      const res = await loadScript("https://checkout.razorpay.com/v1/checkout.js");

      if (!res) {
        alert("Razorpay SDK failed to load. Are you online?");
        return;
      } // creating a new order


      const reg_id = external_js_cookie_default().get("regId").trim();
      const mbl = external_js_cookie_default().get("mobile").trim();
      const result = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/create_order.jsp?mbl=${mbl}&amount=${amount}&regId=${reg_id}`, {
        headers: {
          "content-type": "application/json"
        }
      });
      console.log("result", result);
      const order_id = await result.data.razorpayId.trim();
      console.log(order_id); // Getting the order details back

      console.log(`Order details`, result.data, amount);
      const options = {
        key: "rzp_live_5swXQ3MxLVXsRo",
        // Enter the Key ID generated from the Dashboard
        amount: amount,
        currency: "INR",
        name: "Aaipay-Pay with Faith",
        description: "Add Money to Wallet",
        image: "/assets/images/logos/logo.png",
        order_id: order_id,
        handler: async function (response) {
          const data = {
            orderCreationId: order_id,
            razorpayPaymentId: response.razorpay_payment_id,
            razorpayOrderId: response.razorpay_order_id,
            razorpaySignature: response.razorpay_signature,
            amount: amount.toString(),
            currency: "INR"
          };
          const resultB = await external_axios_default().get(`https://aaipay.in:10002/api/apps/v1/create_order_payment_gateway.jsp?reg=${reg_id}&amount=${amount}&mbl=${mbl}&razorpayOrderId=${response.razorpay_order_id}`);
          console.log(resultB, "resultB");
          const {
            status,
            err_code
          } = resultB;

          const paymentGateWayEntry = async () => {
            const result = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/payemntGatway_entry.jsp?reg=${reg_id}&amount=${amount}&mbl=${mbl}&razorpayOrderId=${response.razorpay_order_id}&paymentStatus=${status}&razorpay_payment_id=${response.razorpay_payment_id}&error=""`, data);
            return result;
          };

          const creditAmount = async resultGateEntry => {
            try {
              const entry = await resultGateEntry.data.entry_id;
              console.log(entry);
              const resultC = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/credit_amount.jsp?cust_reg=${reg_id}&amount=${amount}&mobile=${mbl}&razorPay_orderID=${response.razorpay_order_id}&razorpay_payment_id=${response.razorpay_payment_id}&tid=${entry}`, {
                headers: {
                  "content-type": "application/json"
                }
              });
              return resultC;
            } catch (error) {
              console.error(error);
            }
          };

          await paymentGateWayEntry();
          await creditAmount(resultB);
          err_code === 123 && paymentGateWayEntry();
          dispatch((0,passbook_action/* getWalletBalance */.pd)({
            mbl,
            reg_id
          }));
          dispatch((0,passbook_action/* getPassBook */.dp)({
            mbl,
            reg_id
          }));
          dispatch((0,alert_action/* setAlertMessage */.G)(true, "success", `₹ ${localStorage.getItem("amount")} added to the wallet successfully`));

          if (window.location.href !== `${window.location.origin}/mobile`) {
            // Redirect logic
            setTimeout(() => {
              window.location.replace("/mobile");
              localStorage.removeItem("amount");
            }, 3000);
          }
        },
        prefill: {
          name: userInfo.Name,
          email: userInfo.Email,
          contact: mbl
        },
        notes: {
          address: "Soumya Dey Corporate Office"
        },
        theme: {
          color: "#46A7E4"
        }
      };
      const paymentObject = new window.Razorpay(options);
      paymentObject.open();
    } catch (error) {
      var _error$response;

      console.log(error === null || error === void 0 ? void 0 : (_error$response = error.response) === null || _error$response === void 0 ? void 0 : _error$response.data, "error random custom");
    }
  }

  const router = (0,router_.useRouter)();
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    className: classes.root,
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
      container: true,
      spacing: 2,
      children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
        item: true,
        xs: 12,
        children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), alertOpen === true && /*#__PURE__*/jsx_runtime_.jsx(AlertMessage/* default */.Z, {})]
      }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
        item: true,
        xs: 8,
        children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
          variant: "subtitle2",
          className: classes.typography,
          children: "Add Money To Wallet"
        })
      }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
        item: true,
        xs: 4,
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
          variant: "subtitle2",
          className: classes.rate,
          children: ["\u20B9 ", moneyString]
        })
      }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
        item: true,
        xs: 12,
        children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
          variant: "subtitle2",
          children: "Select Preferred Payment Method"
        })
      }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
        item: true,
        xs: 12,
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
          className: classes.buttonFlex,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Button, {
            className: classes.buttonPayment,
            onClick: displayRazorpay,
            color: "default",
            variant: "contained",
            type: "button",
            fullWidth: windowWidth > 768 ? false : true,
            children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
              src: "/assets/images/razorpay.png",
              width: "100",
              height: "20",
              alt: "razorpay"
            })
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Button, {
            className: classes.buttonPayment,
            onClick: () => router.push("/passbook/transaction/upi"),
            color: "default",
            variant: "contained",
            type: "button",
            style: {
              alignItems: "center",
              justifyContent: "center"
            },
            fullWidth: windowWidth > 768 ? false : true,
            children: [/*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
              src: "/assets/images/upi.svg",
              width: "25",
              height: "25",
              alt: "UPI"
            }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "subtitle2",
              style: {
                marginLeft: 8
              },
              children: "UPI ID"
            })]
          })]
        })
      })]
    })
  });
}

/* harmony default export */ const components_Razorpay = (Razorpay);
// EXTERNAL MODULE: ./components/RequireAuthentication/RequireAuthentication.js
var RequireAuthentication = __webpack_require__(9625);
// EXTERNAL MODULE: ./components/PageSecondary.jsx
var PageSecondary = __webpack_require__(5688);
;// CONCATENATED MODULE: ./pages/passbook/transaction/index.js








const TransactionPage = () => {
  return /*#__PURE__*/jsx_runtime_.jsx(PageSecondary/* PageSecondary */.$, {
    paper: true,
    title: "Transaction",
    children: /*#__PURE__*/jsx_runtime_.jsx(components_Razorpay, {
      amount:  false && 0
    })
  });
};

const getServerSideProps = (0,RequireAuthentication/* requireAuthentication */.Z)(store/* wrapper.getServerSideProps */.YS.getServerSideProps(async ctx => {
  ctx.store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  ctx.store.dispatch(core_.END);
  await ctx.store.sagaTask.toPromise();
  return {
    props: {}
  };
}));
/* harmony default export */ const transaction = (TransactionPage);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,4105,352,2208,6941,8615,5688], () => (__webpack_exec__(6401)));
module.exports = __webpack_exports__;

})();