import { useState } from "react";

import { CssBaseline, makeStyles } from "@material-ui/core";

import MaterialDrawer from "@/components/Layout/Drawer/Drawer";
import Header from "@/components/Layout/Header";
import Footer from "@/components/Layout/Footer";
import DrawerList from "./Drawer/DrawerList";
const useStyles = makeStyles((theme) => ({
  mainContent: {
    // minHeight: `calc(100vh - ${65}px) !important`,
    // marginTop: 65,
    backgroundColor: theme.palette.background.default,
    // paddingBottom: 65,
  },
}));
export default function Layout(props) {
  const classes = useStyles();

  const drawerWidth = 200;
  const [open, setOpen] = useState(false);

  const handleDrawerClose = () => {
    setOpen(false);
  };

  return (
    <div>
      <CssBaseline />
      <Header open={open} setOpen={setOpen} />
      <MaterialDrawer
        open={open}
        setOpen={setOpen}
        handleDrawerClose={handleDrawerClose}
        drawerWidth={drawerWidth}
      >
        <DrawerList open={open} setOpen={setOpen} />
      </MaterialDrawer>

      <main className={classes.mainContent}>
        <CssBaseline />
        {props.children}
      </main>
      <Footer />
    </div>
  );
}
