/* eslint-disable jsx-a11y/anchor-is-valid */
import {
  Grid,
  Container,
  makeStyles,
  Paper,
  Typography,
} from "@material-ui/core";
import Image from "next/image";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0),
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4),
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center",
  },
}));
const AboutUs = () => {
  const classes = useStyles();
  return (
    <div style={{ backgroundColor: "#fafafa" }}>
      <Container maxWidth="lg">
        <div className={classes.root}>
          <Grid container spacing={4}>
            <Grid item xs={12}>
              <Typography variant="h6" style={{ fontSize: 24 }}>
                About Aaipay
              </Typography>
            </Grid>
            <Grid item xs={12} md={6}>
              <Typography
                variant="body2"
                className={classes.para}
                component="p"
              >
                The AaiPay wallet can be used across a host of payments
                services, including bill recharges, utility bill payments, cab
                bookings, ticket bookings, payments for groceries, as well as
                payments to online digital and offline retail stores. AaiPay
                bridges the digital divide between consumers and companies via
                swift recharges and bill payments at no extra cost for its
                online transactions. Be it prepaid, postpaid, DTH, data card,
                electricity, life insurance, landlines, gas, water, broadband,
                cable, municipality or Metro payments and traffic challans,
                AaiPay is best for one and all. The app also offers instant
                money transfer to family and friends with ease.
              </Typography>
              {/* <Typography variant="body2" className={classes.para} component="p">
              AaiPay is well known for its product innovation and cutting-edge
              technology. Earlier this year, it rolled out the first-of-its-kind
              instant credit product called {`'Boost'`} that ensures loan
              disbursal in a matter of 90 seconds. AaiPay is the first in the
              industry to give loans in a mobile wallet. It will be adding new
              products in its lending portfolio in the near future. With an
              extensive range of offerings in lending, AaiPay is on track to
              become one of India's largest lenders, in the times to come.
            </Typography>
            <Typography variant="body2" className={classes.para} component="p">
              We are on a mission to get millions of merchants both in organised
              and unorganised sector to be a part of the digital payments
              ecosystem. Our Chat-n-Pay service is all about social payments. It
              is an engaging and secure way for you to seamlessly Chat-n-Pay to
              friends, family, and merchants in less than 5 seconds. It also
              enables merchants, small or large to accept digital payments in
              less than 1 minute after registering on the Aaipay App.
            </Typography> */}
            </Grid>
            <Grid item xs={12} md={6}>
              <div className={classes.imageContainer}>
                <Image
                  src="/assets/images/about.svg"
                  alt="About aaipay"
                  width={250}
                  height={250}
                />
              </div>
            </Grid>
          </Grid>
        </div>
      </Container>
    </div>
  );
};

export default AboutUs;
