import React, { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import Alert from "@material-ui/lab/Alert";
import { makeStyles } from "@material-ui/core/styles";
import { setAlertMessage } from "@/redux/actions/alert.action";

const useStyles = makeStyles((theme) => ({
  root: {
    width: "100%",
    "& > * + *": {
      marginTop: theme.spacing(2),
    },
  },
}));

const AlertMessage = () => {
  const classes = useStyles();
  const dispatch = useDispatch();
  const { alertOpen, alertType, alertMessage } = useSelector(
    (state) => state.alert
  );
  const handleClose = (event, reason) => {
    if (reason === "clickaway") {
      return;
    }
    dispatch(setAlertMessage(false, alertType, alertMessage));
  };

  //   useEffect(() => {
  //     setTimeout(() => {
  //       dispatch(setAlertMessage(false, alertType, alertMessage));
  //     });
  //   }, [dispatch, alertType, alertMessage]);

  return (
    <div className={classes.root}>
      <Alert
        severity={alertType}
        open={alertOpen}
        className={classes.alert}
        onClose={handleClose}
        elevation={1}
        style={{
          height: 50,
          display: "flex",
          alignItems: "center",
          fontSize: 15,
          borderRadius: 10,
          marginBottom: 20,
        }}
      >
        {alertMessage}
      </Alert>
    </div>
  );
};

export default AlertMessage;
