import { Typography } from "@material-ui/core";
import React, { useState, useEffect } from "react";
import { FaArrowCircleUp } from "react-icons/fa";

const BackToTop = () => {
  const [showScroll, setShowScroll] = useState(false);

  useEffect(() => {
    window.addEventListener("scroll", checkScrollTop);
    return function cleanup() {
      window.removeEventListener("scroll", checkScrollTop);
    };
  });

  const checkScrollTop = () => {
    if (!showScroll && window.pageYOffset > 400) {
      setShowScroll(true);
    } else if (showScroll && window.pageYOffset <= 400) {
      setShowScroll(false);
    }
  };

  const scrollTop = () => {
    window.scrollTo({ top: 0, behavior: "smooth" });
  };

  return (
    <div
      className="scrollTop"
      style={{ display: showScroll ? "flex" : "none" }}
    >
      <FaArrowCircleUp
        onClick={scrollTop}
        style={{
          height: 40,
          width: 40,
          marginBottom: 10,
        }}
      />
      <Typography variant="subtitle2">Scroll To Top</Typography>
    </div>
  );
};

export default BackToTop;
