import Overlay from "@/components/Overlay";
import Page from "@/components/Page";
import { getAllCategory } from "@/redux/actions/categories.actions";
import BBPS from "@/screens/BBPSForm";
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import _ from "lodash";
import { useRouter } from "next/router";
import { resetInputFields } from "@/redux/actions/bbps.actions";
import { RESET_OPERATORS } from "@/redux/constants/mobile.recharge.constants";
import { RESET_BILLERS } from "@/redux/constants/bbps.constants";

const BbpsComponent = () => {
  const dispatch = useDispatch();
  const { loading, categories } = useSelector((state) => state.category);
  // useEffect(() => {
  //   dispatch(getAllCategory());
  // }, [dispatch]);
  const router = useRouter();
  const result = router.route.replace("/", "").split("-");
  const capitalArray = result.map(
    (a) => a.charAt(0).toUpperCase() + a.substr(1)
  );
  const capitalize = capitalArray.join(" ");
  const getCategory =
    !_.isEmpty(categories) &&
    categories.find(
      (cat) => cat.serviceTypeName.toLowerCase() === capitalize.toLowerCase()
    );
  const { serviceId, serviceTypeName } = getCategory;
  const { loading: loadBill } = useSelector((state) => state.billers);
  useEffect(() => {
    const handleRouteChange = () => {
      dispatch(resetInputFields());
      dispatch({ type: RESET_BILLERS });
    };

    router.events.on("routeChangeStart", handleRouteChange);

    return () => {
      router.events.off("routeChangeStart", handleRouteChange);
    };
  }, []);
  return (
    <div>
      {loading && loadBill && <Overlay />}
      <Page
        title={serviceTypeName}
        component={
          <BBPS serviceId={serviceId} serviceTypeName={serviceTypeName} />
        }
      />
    </div>
  );
};

export default BbpsComponent;
