/* eslint-disable jsx-a11y/anchor-is-valid */
import React from "react";

import {
  Card,
  Typography,
  CardMedia,
  CardContent,
  makeStyles,
} from "@material-ui/core/";
import Link from "next/link";
import { useWindowSize } from "@/hooks/useWindowSize";

const useStyles = makeStyles((theme) => ({
  root: {
    padding: theme.spacing(2, 2, 0, 2),
    borderRadius: theme.spacing(2),
    maxWidth: (props) => (props && props.windowWidth < 768 ? "100vw" : 350),
    // maxWidth: (props) =>
    //   props && props.windowWidth < 768
    //     ? props.windowWidth
    //     : props.windowWidth < 950
    //     ? 300
    //     : props.windowWidth < 1150
    //     ? 325
    //     : props.windowWidth < 1300
    //     ? 300
    //     : props.windowWidth < 1600
    //     ? 325
    //     : 360,

    // backgroundColor: (props) => {
    //   if (props) {
    //     if (props.windowWidth < 768) {
    //       return "red";
    //     }

    //     if (props.windowWidth < 950) {
    //       return "purple";
    //     }
    //     if (props.windowWidth < 1150) {
    //       return "green";
    //     }
    //     if (props.windowWidth < 1300) {
    //       return "pink";
    //     }
    //     if (props.windowWidth < 1600) {
    //       return "blue";
    //     }
    //   }
    // },
  },
  /*  show={width < 768 ? 1 : width < 1200 ? 3 : 3.5} */
  media: {
    // height: 350,
    paddingTop: "56.25%", // 16:9
    backgroundSize: "9.375rem",
  },
  expand: {
    marginLeft: "auto",
  },
  link: {
    textDecoration: "none",
  },
}));

const CardComponent = ({
  item: { image, title, description, withPrice, href, name },
}) => {
  const windowWidth = useWindowSize();

  const { width } = windowWidth;
  const classes = useStyles({
    windowWidth: width,
  });

  return (
    <Card className={classes.root} raised={true}>
      <CardMedia className={classes.media} image={image} title={title} />
      <CardContent>
        <center>
          {typeof href !== "undefined" ? (
            <Link href={href}>
              <a className={classes.link}>
                <Typography variant="h6" color="textSecondary" component="p">
                  {title}
                </Typography>
                <Typography
                  variant="subtitle2"
                  color="textSecondary"
                  style={{ fontSize: 16 }}
                  component="p"
                >
                  {name}
                </Typography>
                {description ? (
                  <Typography
                    variant="subtitle2"
                    color="textSecondary"
                    component="p"
                  >
                    {description}
                  </Typography>
                ) : (
                  <Typography
                    variant="subtitle2"
                    color="textSecondary"
                    component="p"
                  >
                    Demo Description
                  </Typography>
                )}
              </a>
            </Link>
          ) : (
            <>
              <Typography variant="h6" color="textSecondary" component="p">
                {title}
              </Typography>
              {description ? (
                <Typography
                  variant="subtitle2"
                  color="textSecondary"
                  component="p"
                >
                  {description}
                </Typography>
              ) : (
                <Typography
                  variant="subtitle2"
                  color="textSecondary"
                  component="p"
                >
                  Demo Description
                </Typography>
              )}
            </>
          )}
        </center>
      </CardContent>
    </Card>
  );
};
export default CardComponent;
