/* eslint-disable jsx-a11y/anchor-is-valid */
import React from "react";

import {
  Card,
  Typography,
  CardContent,
  CardActions,
  makeStyles,
  Button,
} from "@material-ui/core/";

import { useWindowSize } from "@/hooks/useWindowSize";

const useStyles = makeStyles((theme) => ({
  root: {
    padding: theme.spacing(2, 2, 0, 2),
    borderRadius: theme.spacing(2),
    maxWidth: (props) => (props && props.windowWidth < 768 ? "100vw" : 350),
    textAlign: "center",
    marginTop: theme.spacing(8),
    display: "flex",
    alignItems: "center",
    minHeight: 350,
    justifyContent: "center",
    flexDirection: (props) => (props && props.btnText ? "column" : "row"),
    paddingTop: (props) => (props && props.btnText ? theme.spacing(9) : 0),
  },

  link: {
    textDecoration: "none",
  },
  icon: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    fontSize: 55,
    marginBottom: theme.spacing(2),
    color: theme.palette.primary.main,
  },
  title: {
    marginBottom: theme.spacing(1),
  },
}));

const CardComponentNoMedia = (props) => {
  const { btnText, title, icon, description } = props;
  const windowWidth = useWindowSize();

  const { width } = windowWidth;
  const classes = useStyles({
    windowWidth: width,
    btnText: btnText,
  });

  return (
    <>
      <Card className={classes.root}>
        <CardContent>
          <div className={classes.icon}>{icon}</div>
          <Typography variant="h5" component="h2" className={classes.title}>
            {title}
          </Typography>

          <Typography variant="body1" component="p">
            {description}
          </Typography>
        </CardContent>
        {btnText && (
          <CardActions>
            <Button size="small">{btnText}</Button>
          </CardActions>
        )}
      </Card>
    </>
  );
};
export default CardComponentNoMedia;
