/* eslint-disable jsx-a11y/anchor-is-valid */

import Image from "next/image";

import ActiveLink from "@/components/ActiveLink";
import { Grid } from "@material-ui/core";

const DrawerCardList = ({ setOpen, secondaryItems }) => {
  return (
    <Grid container spacing={0} style={{ paddingTop: 20, paddingBottom: 20 }}>
      <style jsx>{`
        .nav-link {
          text-decoration: none;
        }
        .active {
          background-color: #f46703;
          color: white;
        }
      `}</style>
      {secondaryItems.map((item) => (
        <Grid item xs={4} key={item.id}>
          <ActiveLink
            href={`${item.href}`}
            activeclassname="active"
            key={item.id}
            onClick={() => setOpen(false)}
          >
            <span className="card4">
              <div className="card-icon">
                <Image
                  src={item.icon}
                  alt="Aaipay"
                  width="20"
                  height="20"
                  className="imageColor"
                />
              </div>
              <div className="card-primary">{item.serviceTypeName}</div>
            </span>
          </ActiveLink>
        </Grid>
      ))}
    </Grid>
  );
};

export default DrawerCardList;

// export const getStaticProps = async () => {
//   return {
//     setOpen,
//   };
// };

/* import ActiveLink from './ActiveLink'

const Nav = () => (
  <nav>
    <style jsx>{`
      .nav-link {
        text-decoration: none;
      }
      .active:after {
        content: ' (current page)';
      }
    `}</style>
    <ul className="nav">
      <li>
        <ActiveLink activeclassname="active" href="/">
          <a className="nav-link">Home</a>
        </ActiveLink>
      </li>
      <li>
        <ActiveLink activeclassname="active" href="/about">
          <a className="nav-link">About</a>
        </ActiveLink>
      </li>
      <li>
        <ActiveLink activeclassname="active" href="/[slug]" as="/dynamic-route">
          <a className="nav-link">Dynamic Route</a>
        </ActiveLink>
      </li>
    </ul>
  </nav>
)

export default Nav */
