import { Paper, Grid, Container, Box, makeStyles } from "@material-ui/core";
import PropTypes from "prop-types";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0),
  },
}));
const FormAndPreview = ({ form, preview }) => {
  const classes = useStyles();
  return (
    <Container maxWidth="lg">
      <div className={classes.root}>
        <Grid container spacing={4}>
          <Grid item xs={12} lg={4} md={5}>
            <Paper
              borderRadius={24}
              component={Box}
              className="box box-form"
              p={5}
            >
              {form}
            </Paper>
          </Grid>
          {preview && (
            <Grid item xs={12} lg={8} md={7}>
              <Paper
                borderRadius={24}
                component={Box}
                className="box box-form preview"
                p={5}
              >
                {preview}
              </Paper>
            </Grid>
          )}
        </Grid>
      </div>
    </Container>
  );
};
FormAndPreview.propTypes = {
  form: PropTypes.element.isRequired,
  preview: PropTypes.element,
};
export default FormAndPreview;
