import React from 'react';
import TextField from '@material-ui/core/TextField';
import Autocomplete from '@material-ui/lab/Autocomplete';

const AutoCompleteSingle = ({
  options,
  id,
  onChange,
  value,
  label,
  name,
  variant,
  getOptionSelected,
  ...rest
}) => {
  return (
    <Autocomplete
      options={options}
      id={id}
      name={name}
      renderInput={(params) => (
        <TextField
          {...params}
          label={label}
          margin="normal"
          variant={variant || 'standard'}
        />
      )}
      value={value}
      onChange={onChange}
      getOptionSelected={getOptionSelected}
      {...rest}
    />
  );
};

export default AutoCompleteSingle;
