import React from "react";
import {
  FormControl,
  FormHelperText,
  InputLabel,
  MenuItem,
  Select as MuiSelect,
} from "@material-ui/core";

const CustomSelect = (props) => {
  const {
    error = null,
    name,
    label,
    value,
    onChange,
    options,
    required,
    size,
    helperText,
    shrink,
    ...others
  } = props;
  return (
    <FormControl
      size={size}
      variant="outlined"
      required={required ? true : false}
      {...(error && { error: true })}
      fullWidth={true}
    >
      <MuiSelect
        label={label}
        name={name}
        value={value}
        onChange={onChange}
        {...others}
        displayEmpty
      >
        {/* {noneValue && (
          <MenuItem value="" disabled>
            None
          </MenuItem>
        )} */}
        {options.map((item, index) => (
          <MenuItem key={index} value={item.id} required>
            {item.title}
          </MenuItem>
        ))}
      </MuiSelect>
      {error && <FormHelperText>{helperText}</FormHelperText>}
    </FormControl>
  );
};

export default CustomSelect;
