import React from "react";
import {
  MuiPickersUtilsProvider,
  KeyboardDatePicker,
} from "@material-ui/pickers";
import DateFnsUtils from "@date-io/date-fns";

const DatePicker = (props) => {
  const {
    name,
    label,
    value,
    onChange,
    disableToolbar,
    minDate,
    inputVariant,
    fullWidth,
    disablePast,
    style,
  } = props;
  const convertToDefaultEventParameter = (name, value) => ({
    target: {
      name,
      value,
    },
  });
  console.log(minDate);
  // console.log();
  return (
    <MuiPickersUtilsProvider utils={DateFnsUtils}>
      <KeyboardDatePicker
        disableToolbar={disableToolbar}
        variant="normal"
        fullWidth={fullWidth}
        inputVariant={inputVariant || "standard"}
        size="small"
        label={label}
        format="dd-MMM-yyyy"
        // minDate={
        //   minDate
        //     ? Date(minDate)
        //     : new Date(
        //         "Fri Nov 19 1980 13:12:27 GMT+0530 (India Standard Time)"
        //       )
        // }
        name={name}
        value={value}
        // maxDate={maxDate}
        // disablePast={disablePast}
        onChange={(date) =>
          onChange(convertToDefaultEventParameter(name, date))
        }
        KeyboardButtonProps={{
          "aria-label": "change date",
        }}
        style={style}
      />
    </MuiPickersUtilsProvider>
  );
};

export default DatePicker;

// import {
//   KeyboardDatePicker,
//   MuiPickersUtilsProvider,
// } from "@material-ui/pickers";
// import React from "react";
// import DateFnsUtils from "@date-io/date-fns";

// const DatePicker = ({
//   name,
//   label,
//   value,
//   onChange,
//   disableToolbar,
//   maxDate,
//   placeholder,
// }) => {
//   return (
//     <div>
//       <MuiPickersUtilsProvider utils={DateFnsUtils}>
//         <KeyboardDatePicker
//           name={name}
//           disableToolbar={disableToolbar}
//           clearable
//           label={label}
//           maxDate={maxDate}
//           inputVariant="outlined"
//           value={value}
//           placeholder={placeholder}
//           // onChange={(date) => handleDateChange(date)}
//           onChange={onChange}
//           minDate={new Date()}
//           format="dd-MMM-yyyy"
//         />
//       </MuiPickersUtilsProvider>
//     </div>
//   );
// };

// export default DatePicker;
