import { TextField } from "@material-ui/core";
import { blockInvalidCharacterFromNumberType } from "utils/customFunctions";
const Input = (props) => {
  const {
    error = null,
    name,
    label,
    value,
    onChange,
    maxLength,
    type,
    id,
    variant,
    ...other
  } = props;

  return (
    <TextField
      label={label}
      onKeyPress={
        type === "number" ? blockInvalidCharacterFromNumberType : null
      }
      variant={variant || "standard"}
      id={id}
      type={type}
      name={name}
      // value={maxLength > 0 ? value.slice(0, maxLength) : value}
      value={value}
      size="small"
      {...(error && { error: true, helperText: error })}
      onChange={onChange}
      inputProps={{ maxLength: maxLength }}
      {...other}
    />
  );
};

export default Input;
