import React from "react";
// import PropTypes from 'prop-types';
import { Autocomplete } from "@material-ui/lab";
import { TextField, FormHelperText } from "@material-ui/core";

const MuiAutoComplete = (props) => {
  const {
    options,
    id,
    name,
    getOptionLabel,
    value,
    onChange,
    label,
    variant,
    getOptionSelected,
    className,
    fullWidth,
    style,
    error,
    margin,
    helperText,
    disableClearable,
  } = props;
  return (
    <Autocomplete
      id={id}
      style={style}
      name={name}
      options={options}
      getOptionLabel={getOptionLabel}
      getOptionSelected={getOptionSelected}
      value={value}
      onChange={onChange}
      fullWidth={fullWidth}
      className={className}
      margin={margin}
      disableClearable={disableClearable}
      renderInput={(params) => (
        <>
          <TextField
            {...params}
            margin={margin}
            name={name}
            label={label}
            variant={variant || "standard"}
            fullWidth={fullWidth}
            {...(error && { error: true, helperText: error })}
          />
          {error && <FormHelperText>{helperText}</FormHelperText>}
        </>
      )}
    />
  );
};

// MuiAutoComplete.propTypes = {};

export default MuiAutoComplete;

{
  /* <Field
                        component={Controls.MuiAutoComplete}
                        id="Operator"
                        name="Operator"
                        label="Operator"
                        getOptionLabel={(option) =>
                          option.operator !== undefined ? option.operator : ''
                        }
                        getOptionSelected={(option, values) =>
                          option.operator === values.operator
                        }
                        value={values.Operator_Options || null}
                        onChange={(e, value) => {
                          value !== null &&
                            setFieldValue('Operator_Options', value);
                          setFieldValue('Operator', value?.Operator);
                        }}
                        options={optionOperators}
                      /> */
}
