/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Container, makeStyles, Paper, Divider } from "@material-ui/core";
import CardComponent from "../CardComponent/CardComponent";
import CarouselComponentSwiper from "../CarouselComponentSwiper/CarouselComponentSwiper";
import MainHeading from "../MainHeading";
import { useDispatch, useSelector } from "react-redux";
import { useEffect } from "react";
import { getAllDTHCategory } from "@/redux/actions/dth.category.action";
import { SwiperSlide } from "swiper/react";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(4, 0),
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4),
  },
}));
const DTH = ({ items }) => {
  const dispatch = useDispatch();
  const { dth_categories, loading } = useSelector(
    (state) => state.dthCategories
  );

  useEffect(() => {
    dispatch(getAllDTHCategory());
  }, [dispatch]);
  const classes = useStyles();
  return (
    <>
      <div style={{ backgroundColor: "#fafafa" }}>
        <Container maxWidth="lg">
          <div className={classes.root}>
            <Grid container spacing={4}>
              {/* <MainHeading>Get DTH Connection</MainHeading> */}
              {/* <Grid item xs={12}>
          <MainHeading>GET DTH</MainHeading>
        </Grid> */}
              {!loading ? (
                <Grid item xs={12}>
                  <Paper className={classes.paperGrid}>
                    <MainHeading>Book at AaiPay</MainHeading>

                    <CarouselComponentSwiper autoPlay={true}>
                      {dth_categories.map((item) => {
                        return (
                          <SwiperSlide key={item.id}>
                            <CardComponent
                              key={item.id}
                              dynamic={true}
                              item={{
                                href: {
                                  pathname: "/category/[category_id]",
                                  query: { category_id: `${item.id}` },
                                },
                                withPrice: false,
                                title: item.name,
                                description: item.description,
                                image: item.image,
                              }}
                            />
                          </SwiperSlide>
                        );
                      })}
                      {/*   <Link href="/">
        <a>Home</a>
      </Link> */}
                    </CarouselComponentSwiper>
                  </Paper>
                </Grid>
              ) : null}
            </Grid>
          </div>
        </Container>
      </div>
    </>
  );
};

export default DTH;
