/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Container, makeStyles } from "@material-ui/core";
import CardComponent from "../CardComponent/CardComponent";
import CarouselComponent from "../CarouselComponent/CarouselComponent";
import Link from "next/link";
import MainHeading from "../MainHeading";
import { useDispatch, useSelector } from "react-redux";
import { useEffect, useState } from "react";
import { getAllOffers } from "@/redux/actions/featured.offers.action";
import { getAllDTHCategory } from "@/redux/actions/dth.category.action";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0),
  },
}));
const DTH = ({ items }) => {
  const dispatch = useDispatch();
  const { dth_categories, loading } = useSelector(
    (state) => state.dthCategories
  );

  useEffect(() => {
    dispatch(getAllDTHCategory());
  }, [dispatch]);
  const classes = useStyles();
  return (
    <Container maxWidth="lg">
      <div className={classes.root}>
        <Grid container spacing={4}>
          <Grid item xs={12}>
            <MainHeading>GET DTH</MainHeading>
          </Grid>
          {!loading ? (
            <Grid item xs={12}>
              <CarouselComponent>
                {dth_categories.map((item, index) => {
                  console.log(item);
                  return (
                    <Link
                      href={{
                        pathname: "/category/[category_id]",
                        query: { category_id: `${item.id}` },
                      }}
                      key={item.id}
                    >
                      <a>
                        <CardComponent
                          key={item.id}
                          dynamic={true}
                          item={{
                            withPrice: false,
                            title: item.name,
                            description: item.description,
                            image: item.image,
                          }}
                        />
                      </a>
                    </Link>
                  );
                })}
                {/*   <Link href="/">
          <a>Home</a>
        </Link> */}
              </CarouselComponent>
            </Grid>
          ) : null}
        </Grid>
      </div>
    </Container>
  );
};

export default DTH;
