/* eslint-disable jsx-a11y/anchor-is-valid */
import {
  Grid,
  Container,
  makeStyles,
  Paper,
  Typography,
} from "@material-ui/core";
import Image from "next/image";
import Link from "next/link";
const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0, 8, 0),
  },
  paperGrid: {
    padding: theme.spacing(0),
    borderRadius: theme.spacing(4),
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
}));
const GetOnStore = () => {
  const classes = useStyles();
  return (
    <div style={{ backgroundColor: "#fafafa" }}>
      <Container maxWidth="lg">
        <div className={classes.root}>
          <Grid container spacing={4}>
            {/* <Grid item md={4} sm={2} xs={12}></Grid> */}
            <Grid item xs={12} md={5} sm={8}>
              <div
                style={{
                  display: "flex",
                  flexDirection: "row",
                  justifyContent: "flex-start",
                  alignItems: "center",
                }}
              >
                <div style={{ marginRight: 24 }}>
                  <Typography variant="h6">
                    Download Aaipay App to Pay from anywhere
                  </Typography>
                </div>
                <div className={classes.imageContainer}>
                  <a
                    href="https://play.google.com/store/apps/details?id=com.aaiji.aaipay"
                    target="_blank"
                    rel="noreferrer"
                  >
                    <Image
                      src="/assets/images/get-on-ps.png"
                      alt="About aaipay"
                      width={203}
                      height={70}
                    />
                  </a>
                </div>
              </div>
            </Grid>
            {/* <Grid item md={4} sm={2} xs={12}></Grid> */}
          </Grid>
        </div>
      </Container>
    </div>
  );
};

export default GetOnStore;
