import React, { useState } from "react";
// Import Swiper React components
import { Swiper, SwiperSlide } from "swiper/react";
import Image from "next/image";
// Import Swiper styles
import "swiper/css";
import "swiper/css/free-mode";
import "swiper/css/navigation";
import "swiper/css/thumbs";

// import Swiper core and required modules
import SwiperCore, { FreeMode, Navigation, Thumbs } from "swiper";

// install Swiper modules
SwiperCore.use([FreeMode, Navigation, Thumbs]);

const ImageGalleryProducts = ({ imageCollection }) => {
  const [thumbsSwiper, setThumbsSwiper] = useState(null);

  return (
    <>
      <Swiper
        style={{
          "--swiper-navigation-color": "#fff",
          "--swiper-pagination-color": "#fff",
        }}
        loop={false}
        spaceBetween={10}
        navigation={true}
        thumbs={{ swiper: thumbsSwiper }}
        className="mySwiper2"
      >
        {imageCollection.map((image, index) => {
          return (
            <SwiperSlide key={index}>
              <Image
                width={800}
                height={600}
                alt=""
                src={`https://aaipay.in:10002/${image}`}
              />
            </SwiperSlide>
          );
        })}
      </Swiper>
      <Swiper
        onSwiper={setThumbsSwiper}
        loop={true}
        spaceBetween={10}
        slidesPerView={4}
        freeMode={true}
        watchSlidesProgress={true}
        className="mySwiper"
      >
        {imageCollection.map((image, index) => {
          return (
            <SwiperSlide key={index}>
              <Image
                width={100}
                height={100}
                alt=""
                src={`https://aaipay.in:10002/${image}`}
              />
            </SwiperSlide>
          );
        })}
      </Swiper>
    </>
  );
};

export default ImageGalleryProducts;
