/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Box } from '@material-ui/core';
import Link from 'next/link';
import PropTypes from 'prop-types';

const FooterItems = ({ listHead, listItems }) => {
  return (
    <Grid item xs={6} sm={6} md={3}>
      <Box mb={{ xs: 1, sm: 1 }} className="footer__header">
        {listHead}
      </Box>
      {listItems.map((item) => (
        <Box mb={{ xs: 1, sm: 1 }} key={item.id}>
          <Link href={`/${item.href}`}>
            <a>{item.serviceTypeName}</a>
          </Link>
        </Box>
      ))}
    </Grid>
  );
};

FooterItems.propTypes = {
  listHead: PropTypes.string.isRequired,
  listItems: PropTypes.array.isRequired,
};

export default FooterItems;
