/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Box, Typography } from "@material-ui/core";
import Link from "next/link";
import PropTypes from "prop-types";

const FooterItems = ({ listHead, listItems }) => {
  return (
    <div className="footer-list-wrap">
      <Typography variant="body1" component="div" className="ftr-hdr">
        {listHead}
      </Typography>
      {listItems.map((item, index) => (
        <ul className="ftr-links-sub" key={index}>
          <li>
            <Link href={`${item.href}`}>
              <a>{item.title}</a>
            </Link>
          </li>
        </ul>
      ))}
    </div>
  );
};

FooterItems.propTypes = {
  listHead: PropTypes.string.isRequired,
  listItems: PropTypes.array.isRequired,
};

export default FooterItems;
