/* eslint-disable jsx-a11y/anchor-is-valid */
import sluggedNavData from "@/config/navData";

import { Typography } from "@material-ui/core";
import Link from "next/link";
import Image from "next/image";
import React, { useEffect } from "react";
import { useSelector, useDispatch } from "react-redux";
import { mergeArrayObjects } from "utils/customFunctions";
import FooterItems from "./FooterItems";
import SocialIcons from "./SocialIcons/";
import { useWindowSize } from "@/hooks/useWindowSize";
import footerData from "@/config/footerData";

const Footer = () => {
  const { categories, loading } = useSelector((state) => state.category);
  const allData = categories.map((item) => {
    return {
      id: item.serviceId,
      title: item.serviceTypeName,
    };
  });
  const { width: windowWidth } = useWindowSize();
  const fullNavdata = mergeArrayObjects(allData, sluggedNavData);
  const cat1 = fullNavdata.slice(0, 4);
  const cat2 = fullNavdata.slice(4, 8);
  const cat3 = fullNavdata.slice(8, 12);
  const cat4 = fullNavdata.slice(12, 16);
  const cat5 = fullNavdata.slice(16, 20);
  const quickLinks = footerData.filter((item) => item.type === "quick-link");
  const ourTerms = footerData.filter((item) => item.type === "our-terms");

  return (
    <>
      <footer>
        <div className="footer-gray">
          <div className="footer-custom">
            <div className="footer-lists">
              <FooterItems listItems={[...quickLinks]} listHead="Quick Links" />

              <FooterItems listItems={[...cat1]} listHead="Our Services" />
              <FooterItems listItems={[...cat3]} listHead="Our Services" />

              {/*/.footer-list-wrap*/}
            </div>
            {/*/.footer-lists*/}
            <div className="footer-lists">
              <FooterItems listItems={[...cat2]} listHead="Our Services" />
              <FooterItems listItems={[...cat5]} listHead="Our Services" />
              <FooterItems listItems={[...ourTerms]} listHead="Our Terms" />

              {/*/.footer-list-wrap*/}
            </div>
            {/*/.footer-lists*/}
            <div className="footer-email">
              <div id="ftr-email" className="ftr-email-form">
                <Image
                  src="/assets/images/logos/logo.png"
                  width="225"
                  height="58"
                  alt="Aaipay"
                />
              </div>
              {/*/.ftr-email-form*/}
              {/* <div className="ftr-email-privacy-policy" /> */}
            </div>
            {/*/.footer-email*/}
            <SocialIcons />
            {/*/.footer-social*/}
            {/*/.footer-legal*/}
            {/*/.footer-payment*/}
          </div>
          {/*/.footer-custom*/}
        </div>
        {/*/.footer-gray*/}
      </footer>
      <footer>
        <div className="footer-dark-gray">
          <div
            className="footer-custom"
            style={{
              textAlign: "center",
              fontSize: "14px",
            }}
          >
            Aaiji Technology &copy; {new Date().getFullYear()} All Rights
            Reserved.
            {/* <span
              style={{
                display: "flex",
                alignItems: "center",
                justifyContent: "center",
                flexDirection: windowWidth > 768 ? "row" : "column",
              }}
            >
              <Link href="/privacy-policy">
                <a
                  style={{
                    color: "#fff",
                    marginRight: 8,
                    marginTop: windowWidth > 768 ? 8 : 8,
                    textDecoration: "underline",
                  }}
                >
                  Privacy Policy
                </a>
              </Link>
              <Link href="/term-of-use">
                <a
                  style={{
                    color: "#fff",
                    marginRight: 8,
                    marginTop: windowWidth > 768 ? 8 : 8,
                    textDecoration: "underline",
                  }}
                >
                  Terms of Use
                </a>
              </Link>
              <Link href="/term-of-use">
                <a
                  style={{
                    color: "#fff",
                    marginRight: 8,
                    marginTop: windowWidth > 768 ? 8 : 8,
                    textDecoration: "underline",
                  }}
                >
                  Terms of Sales
                </a>
              </Link>{" "}
            </span> */}
          </div>
        </div>
      </footer>
    </>
  );
};

export default Footer;
