import { useState } from "react";

import { CssBaseline, Grid, makeStyles } from "@material-ui/core";
import { useMounted } from "@/hooks/useMounted";
import MaterialDrawer from "@/components/Layout/Drawer/Drawer";
import Header from "@/components/Layout/Header";
import Footer from "@/components/Layout/Footer";
const useStyles = makeStyles((theme) => ({
  mainContent: {
    // minHeight: `calc(100vh - ${65}px) !important`,
    // marginTop: 65,
  },
}));
export default function Layout(props) {
  const classNamees = useStyles();
  const { hasMounted } = useMounted();
  const drawerWidth = 200;
  const [open, setOpen] = useState(false);

  const handleDrawerClose = () => {
    setOpen(false);
  };

  return (
    <div style={{ display: hasMounted ? "block" : "none" }}>
      <CssBaseline />
      <Header open={open} setOpen={setOpen} />
      <MaterialDrawer
        open={open}
        setOpen={setOpen}
        handleDrawerClose={handleDrawerClose}
        drawerWidth={drawerWidth}
      />
      <main>
        <CssBaseline />
        {props.children}
      </main>
      {/* <section className="section shadow-md pt-4 pb-3">
        <Grid container>
          <Grid item xs={3}>
            <div className="iconBox">
              <i className="fas fa-lock"></i>
              <h5>Secure Payments</h5>
              <p>Moving your card details to a much more secured place.</p>
            </div>
          </Grid>
          <Grid item xs={3}>
            <div className="iconBox">
              <i className="fas fa-hand-holding-usd"></i>
              <h5>Trust pay</h5>
              <p>100% Payment Protection. Easy Return Policy.</p>
            </div>
          </Grid>
          <Grid item xs={3}>
            <div className="iconBox">
              <i className="fas fa-retweet"></i>
              <h5>Refer &amp; Earn</h5>
              <p>Invite a friend to sign up and earn with aaipay.</p>
            </div>
          </Grid>
          <Grid item xs={3}>
            <div className="iconBox">
              <i className="fab fa-superpowers"></i>
              <h5>24/7 Support</h5>
              <p>
                We're here to help. Have a query and need help ?{" "}
                <a href="contactus.jsp">Click here</a>
              </p>
            </div>
          </Grid>
        </Grid>
      </section> */}
      <Footer />
    </div>
  );
}
