/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/click-events-have-key-events */
/* eslint-disable jsx-a11y/anchor-is-valid */

import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import { Container } from "@material-ui/core";
import MoreHorizIcon from "@material-ui/icons/MoreHoriz";
import Image from "next/image";
import ActiveLink from "@/components/ActiveLink";
import { useSelector } from "react-redux";
import { mergeArrayObjects } from "utils/customFunctions";
import sluggedNavData from "@/config/navData";
// import rechargeLogo from '@/images/services/smartphone.png';
// import dthLogo from '@/images/services/satellitedish.png';
import MaterialDrawerBox from "@/components/Container/Drawers/DrawerCardBox";
import React from "react";

const MobNav = () => {
  const [open, setOpen] = React.useState(false);

  const CategoryState = useSelector((state) => state.category);
  const { categories } = CategoryState;
  const allData = categories.map((item) => {
    return {
      id: item.serviceId,
      icon: item.icon,
      serviceTypeName: item.serviceTypeName,
    };
  });
  const fullNavdata = mergeArrayObjects(allData, sluggedNavData);

  const navItems = fullNavdata.slice(0, 1);
  const secondaryItems = fullNavdata.slice(1, fullNavdata.length);
  const handleDrawerClose = () => {
    setOpen(false);
  };
  return (
    <>
      <AppBar position="static" className="tab">
        <Container>
          <style jsx>{`
            .nav-link {
              text-decoration: none;
            }

            .active {
              background-color: #f46703;
              color: white;
            }
            .card:nth-child(4):parent {
              display: none;
            }
          `}</style>
          <Toolbar className="cards">
            <ActiveLink href="/mobile" activeclassname="active">
              <span className="card">
                <div className="card-icon">
                  <Image
                    src="/assets/images/services/smartphone.png"
                    alt="Aaipay"
                    width="22"
                    height="22"
                    className="imageColor"
                  />
                </div>
                <div className="card-primary">Mobile</div>
              </span>
            </ActiveLink>
            <ActiveLink href="/dth" activeclassname="active">
              <span className="card">
                <div className="card-icon">
                  <Image
                    src="/assets/images/services/satellitedish.png"
                    alt="Aaipay"
                    width="22"
                    height="22"
                    className="imageColor"
                  />
                </div>
                <div className="card-primary">DTH</div>
              </span>
            </ActiveLink>
            {navItems.map((item, index) => {
              return (
                <ActiveLink
                  href={`${item.href}`}
                  activeclassname="active"
                  key={item.id}
                >
                  <span className="card">
                    <div className="card-icon">
                      <Image
                        src={item.icon}
                        alt="Aaipay"
                        width="22"
                        height="22"
                        className="imageColor"
                      />
                    </div>
                    <div className="card-primary"> {item.serviceTypeName}</div>
                  </span>
                </ActiveLink>
              );
            })}
            <span className="card blackText" onClick={() => setOpen(true)}>
              <div className="card-icon">
                <MoreHorizIcon />
              </div>
              <div className="card-primary">More</div>
            </span>
          </Toolbar>
        </Container>
      </AppBar>
      <MaterialDrawerBox
        open={open}
        setOpen={setOpen}
        handleDrawerClose={handleDrawerClose}
        anchor={"bottom"}
        secondaryItems={secondaryItems}
      />
    </>
  );
};

export default MobNav;
