/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Container, makeStyles, Paper } from "@material-ui/core";
import CardComponent from "../CardComponent/CardComponent";
import CarouselComponentSwiper from "../CarouselComponentSwiper/CarouselComponentSwiper";
import Link from "next/link";
import MainHeading from "../MainHeading";
import { useDispatch, useSelector } from "react-redux";
import { useEffect, useState } from "react";
import { getAllOffers } from "@/redux/actions/featured.offers.action";
import { SwiperSlide } from "swiper/react";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(4, 0),
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4),
  },
}));
const Offers = ({ items }) => {
  const dispatch = useDispatch();
  const { offers, loading } = useSelector((state) => state.featuredOffers);

  useEffect(() => {
    dispatch(getAllOffers());
  }, [dispatch]);
  const classes = useStyles();
  return (
    <Container maxWidth="lg">
      <div className={classes.root}>
        <Grid container spacing={4}>
          {/* <Grid item xs={12}>
            <MainHeading>Featured Offers</MainHeading>
          </Grid> */}
          {!loading ? (
            <Grid item xs={12}>
              <Paper className={classes.paperGrid}>
                <MainHeading>Featured Offers</MainHeading>
                <CarouselComponentSwiper>
                  {offers.map((item, index) => {
                    return (
                      <SwiperSlide key={index}>
                        <CardComponent
                          item={{
                            withPrice: false,
                            title: item.heading,
                            description: item.discribtion,
                            image: item.image,
                          }}
                        />
                      </SwiperSlide>
                    );
                  })}
                </CarouselComponentSwiper>
              </Paper>
            </Grid>
          ) : null}
        </Grid>
      </div>
    </Container>
  );
};

export default Offers;
