import { useEffect } from "react";
import Head from "next/head";
import { DeskNav, TabNav, MobNav } from "@/components/NavigationBar";
import { useWindowSize } from "@/hooks/useWindowSize";
import { useSelector, useDispatch } from "react-redux";
import { getAllCategory } from "@/redux/actions/categories.actions";

function Page({ component: Component, title }) {
  const windowSize = useWindowSize();
  const dispatch = useDispatch();
  const CategoryState = useSelector((state) => state.category);
  const { loading } = CategoryState;
  useEffect(() => {
    dispatch(getAllCategory());
  }, [dispatch]);
  return (
    <div>
      {/*====================================
               HEAD Section 
        ====================================*/}
      <Head>
        <title>Aaipay || {title || "Pay with Faith"}</title>
        <meta name="description" content="Aaipay Pay with Faith" />
        <link rel="icon" href="/assets/images/logos/favicon.ico" />
      </Head>
      {/*====================================
                Responsive Navigation Bar 
        ====================================*/}
      {windowSize.width <= 768 ? (
        <MobNav />
      ) : windowSize.width >= 769 && windowSize.width <= 1140 ? (
        <TabNav />
      ) : (
        <>
          <DeskNav />
        </>
      )}
      {/*====================================
              Form Component and Preview 
        ====================================*/}
      <section className="main-component">{Component}</section>
    </div>
  );
}

export default Page;
