import React from "react";
import { Paper, Card, Typography, makeStyles } from "@material-ui/core";

const useStyles = makeStyles((theme) => ({
  root: {
    // backgroundColor: "#fdfdff",
    backgroundColor: "transparent",
    // padding: theme.spacing(3, 0, 3, 3),
    marginBottom: theme.spacing(4),
    display: "flex",
    justifyContent: "center",
    flexDirection: "column",
    borderRadius: theme.spacing(1.5),
  },
  pageHeader: {
    padding: theme.spacing(3),
    display: "flex",
    marginBottom: theme.spacing(2),
  },
  pageIcon: {
    // display: "inline-block",
    padding: theme.spacing(2),
    color: "#3c44b1",
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  pageTitle: {
    paddingLeft: theme.spacing(0),
    color: theme.palette.primary.main,
    fontWeight: 500,
    marginBottom: theme.spacing(0.5),
    "& .MuiTypography-subtitle2": {
      opacity: "0.6",
    },
    backgroundColor: `transparent !important`,
  },
  subTitle: {
    color: "#888",
    backgroundColor: `transparent !important`,
    paddingLeft: `0 !important`,
  },
}));

const PageHeader = (props) => {
  const classes = useStyles();
  const { title, subTitle, icon } = props;
  return (
    <Paper elevation={0} square className={classes.root}>
      <Typography variant="h6" className={classes.pageTitle}>
        {title}
      </Typography>

      <Typography variant="subtitle2" className={classes.subTitle}>
        {subTitle}
      </Typography>
    </Paper>
  );
};

export default PageHeader;
