/* eslint-disable jsx-a11y/anchor-is-valid */
import { useWindowSize } from "@/hooks/useWindowSize";
import { Paper, Grid, Typography } from "@material-ui/core";
import Image from "next/image";
import { useEffect } from "react";
import { useStyles } from "./utils";
import Link from "next/link";
import { useRouter } from "next/router";
const ProductCategoryCard = ({ productCategories }) => {
  const { image, name, mrp, selling_price, product_id } = productCategories;

  const router = useRouter();
  const { category_id } = router.query;
  const offPercentage = (((mrp - selling_price) / mrp) * 100).toFixed(2);
  const classes = useStyles();
  const windowWidth = useWindowSize();
  const { width } = windowWidth;
  useEffect(() => {}, [windowWidth]);
  return (
    <Paper elevation={1} className={classes.rootPaper}>
      <Grid container spacing={3}>
        <Grid item xs={12}>
          {/* <div className={"imageContainer"}> */}
          <div className={width > 768 ? "" : "imageContainer"}>
            <Image
              src={`https://aaipay.in:10002/${image}`}
              width={width > 768 ? 200 : false}
              height={width > 768 ? 200 : false}
              alt={name || "Aaiji Technologies"}
              // layout="fill"
              layout={width > 768 ? false : "fill"}
              // className={"imageProductCat"}
              className={width > 768 ? "" : "imageProductCat"}
            />
          </div>
        </Grid>
        <Grid item xs={12} md={12} sm={12}>
          <div className={classes.productDesc}>
            <Link
              href={{
                pathname: "/category/[category_id]/products/[product_id]",
                query: {
                  product_id: `${product_id}`,
                  category_id: `${category_id}`,
                },
              }}
            >
              <a className={classes.link}>
                <Typography variant="subtitle2" className={classes.name}>
                  {name}
                </Typography>
              </a>
            </Link>
          </div>
          <div className={classes.price}>
            <Typography variant="subtitle2" className={classes.sellingPrice}>
              ₹ {selling_price}
            </Typography>
            <Typography variant="subtitle2" className={classes.mrp}>
              ₹ {mrp}
            </Typography>
          </div>
          <div className={classes.price}>
            <Typography variant="subtitle2" className={classes.offPercentage}>
              {offPercentage + "% Off"}
            </Typography>
          </div>
        </Grid>
      </Grid>
    </Paper>
  );
};

export default ProductCategoryCard;
