import axios from "axios";

export const requireAuthentication = (gssp) => {
  return async (ctx) => {
    const { req } = ctx;
    if (typeof req.headers.cookie !== "undefined") {
      const tokens = req.headers.cookie.split(";");
      const ip = tokens.find((token) => token.includes("ip"))?.split("=")[1];
      const mobile = tokens
        .find((token) => token.includes("mobile"))
        ?.split("=")[1];
      const loginKey = tokens
        .find((token) => token.includes("loginKey"))
        ?.split("=")[1];
      const password = tokens
        .find((token) => token.includes("password"))
        ?.split("=")[1];
      const { data } = await validateLoginUser({
        ip,
        loginKey,
        password,
        mobile,
      });
      if (data?.err !== "101") {
        return {
          redirect: {
            permanent: false,
            destination: "/mobile",
          },
        };
      }
    } else {
      return {
        redirect: {
          permanent: false,
          destination: "/mobile",
        },
      };
    }
    return await gssp(ctx);
  };
};

export async function validateLoginUser(payload) {
  const { mobile, ip, loginKey, password } = payload;
  const { data } = await axios({
    method: "POST",
    url: "https://aaipay.in:10002/api/apps/v1/login_validate.jsp",
    headers: { "content-type": "application/json" },
    data: {
      mobile: mobile,
      data: {
        device: "1244115844",
        ip,
        login_key: loginKey,
        password,
      },
    },
  });
  return data;
}
