/* eslint-disable react/display-name */
import Cookies from "js-cookie";
import { useRouter } from "next/router";
import NotAuthorized from "./NotAuthorized";
const withAuth = (WrappedComponent) => {
  return (props) => {
    // checks whether we are on client / browser or server.

    if (process.browser === true) {
      const Router = useRouter();
      const accessToken = Cookies.get("regId");

      // If there is no access token we redirect to "/" page.
      if (!accessToken) {
        Router.replace("/mobile");
        // return nsull;
        return <NotAuthorized />;
      }

      // If this is an accessToken we just render the component that was passed with all its props
      return <WrappedComponent {...props} />;
    }

    // If we are on server, return null
    return null;
  };
};

export default withAuth;
