/* eslint-disable jsx-a11y/anchor-is-valid */
import { Grid, Container, makeStyles, Paper } from "@material-ui/core";
import CardComponent from "../CardComponent/CardComponent";
import CarouselComponentSwiper from "../CarouselComponentSwiper/CarouselComponentSwiper";
import MainHeading from "../MainHeading";
import { useDispatch, useSelector } from "react-redux";
import { useEffect } from "react";
import { getAllDTHCategory } from "@/redux/actions/dth.category.action";
import { SwiperSlide } from "swiper/react";
import { useRouter } from "next/router";

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0),
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4),
  },
}));
const DTH = ({ items }) => {
  const dispatch = useDispatch();
  const { dth_categories, loading } = useSelector(
    (state) => state.dthCategories
  );

  useEffect(() => {
    dispatch(getAllDTHCategory());
  }, [dispatch]);
  const classes = useStyles();
  const router = useRouter();
  const { category_id } = router.query;
  return (
    <div className={classes.root}>
      <Grid container spacing={4}>
        {!loading ? (
          <Grid item xs={12}>
            <Paper className={classes.paperGrid}>
              <MainHeading>Similar Products</MainHeading>
              <CarouselComponentSwiper>
                {items.map((item, index) => {
                  console.log(item);
                  return (
                    <SwiperSlide key={item.product_id}>
                      <CardComponent
                        dynamic={true}
                        item={{
                          href: {
                            pathname:
                              "/category/[category_id]/products/[product_id]",
                            query: {
                              product_id: `${item.product_id}`,
                              category_id: category_id,
                            },
                          },
                          withPrice: false,
                          name: item.name,
                          // description: item.description,
                          image: `https://aaipay.in:10002/${item.image}`,
                        }}
                      />
                    </SwiperSlide>
                  );
                })}
                {/*   <Link href="/">
          <a>Home</a>
        </Link> */}
              </CarouselComponentSwiper>
            </Paper>
          </Grid>
        ) : null}
      </Grid>
    </div>
  );
};

export default DTH;
