/* eslint-disable @next/next/no-img-element */
/* eslint-disable jsx-a11y/click-events-have-key-events */
import { useEffect, useState } from "react";
import BtnSlider from "./BtnSlider";
import dataSlider from "./dataSlider";
import { Typography } from "@material-ui/core";
import Image from "next/image";

export default function Slider({ slider }) {
  const [slideIndex, setSlideIndex] = useState(1);

  const nextSlide = () => {
    if (slideIndex !== dataSlider.length) {
      setSlideIndex(slideIndex + 1);
    } else if (slideIndex === dataSlider.length) {
      setSlideIndex(1);
    }
  };

  const prevSlide = () => {
    if (slideIndex !== 1) {
      setSlideIndex(slideIndex - 1);
    } else if (slideIndex === 1) {
      setSlideIndex(dataSlider.length);
    }
  };

  const moveDot = (index) => {
    setSlideIndex(index);
  };

  return (
    <div className="container-slider">
      {slider === true ? (
        <style>{`
        .box.box-form.preview {
          padding: 0 !important;
      }
        `}</style>
      ) : (
        <style>{`
      .box.box-form.preview {
        padding: 40 !important;
    }
      `}</style>
      )}
      {dataSlider.map((obj, index) => {
        return (
          <div
            key={obj.id}
            className={slideIndex === index + 1 ? "slide active-anim" : "slide"}
          >
            {/* <div className="overlay-slider">
              <Typography variant="h3" style={{ color: 'white' }}>
                {obj.title}
              </Typography>
              <Typography variant="h6" style={{ color: 'white' }}>
                {obj.subTitle}
              </Typography>
            </div> */}

            <img alt="Aaipay" src={obj.image} />
            {/* <img
              alt="Aaipay"
              src={`/assets/images/slider/img${index + 1}.jpg`}
            /> */}
          </div>
        );
      })}
      <BtnSlider moveSlide={nextSlide} direction={"next"} />
      <BtnSlider moveSlide={prevSlide} direction={"prev"} />

      <div className="container-dots">
        {Array.from({ length: dataSlider.length }).map((item, index) => (
          // eslint-disable-next-line jsx-a11y/click-events-have-key-events
          // eslint-disable-next-line jsx-a11y/no-static-element-interactions
          // eslint-disable-next-line jsx-a11y/click-events-have-key-events
          // eslint-disable-next-line jsx-a11y/no-static-element-interactions
          <div
            key={index}
            onClick={() => moveDot(index + 1)}
            className={slideIndex === index + 1 ? "dot active" : "dot"}
          ></div>
        ))}
      </div>
    </div>
  );
}
