import { CircularProgress, Grid, makeStyles } from '@material-ui/core';
import React from 'react';
const useStyles = makeStyles((theme) => ({
  root: {
    position: 'relative',
  },
  bottom: {
    color: theme.palette.grey[theme.palette.type === 'light' ? 200 : 700],
  },
  // top: {
  //   color: '#1a90ff',
  //   animationDuration: '550ms',
  //   position: 'relative',
  //   left: -40,
  //   textAlign: 'center',
  // },
  circle: {
    strokeLinecap: 'round',
  },
}));
const Spinner = (props) => {
  const classes = useStyles();
  return (
    <Grid container className={classes.root}>
      <Grid item xs={12}>
        <CircularProgress
          variant="determinate"
          className={classes.bottom}
          size={props.size || 40}
          thickness={4}
          {...props}
          value={100}
        />
        <CircularProgress
          variant="indeterminate"
          disableShrink
          // className={classes.top}
          style={{
            color: '#1a90ff',
            animationDuration: '550ms',
            position: 'relative',
            left: -props.size || -40,
            textAlign: 'center',
          }}
          classes={{
            circle: classes.circle,
          }}
          size={props.size || 40}
          thickness={4}
          {...props}
        />
      </Grid>
    </Grid>
  );
};

export default Spinner;
