import styled from "styled-components";
const MoneyButton = styled.button.attrs({
  type: "button",
})`
  display: flex;
  margin-top: 0.5rem;
  border-radius: 1rem;
  background-color: ${(props) => (props.windowWidth > 480 ? "red" : "white")};
  height: ${(props) => (props.windowWidth > 480 ? "1.875rem" : "1.45rem")};
  width: ${(props) => (props.windowWidth > 480 ? "3.638rem" : "2.8rem")};
  margin-right: ${(props) => (props.windowWidth > 480 ? "1rem" : "0.5rem")};
  padding-right: ${(props) => (props.windowWidth > 480 ? "0.5rem" : "1.5rem")};
  padding-left: ${(props) => (props.windowWidth > 480 ? "0.5rem" : "1.5rem")};
  font-size: ${(props) => props.windowWidth < 480 && "0.75rem"};
  text-align: center;
  background-color: #fafafa;
  border: 2px solid #3da3e3;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  &:hover {
    color: #fafafa;
    background-color: #3da3e3;
  }
`;

export const MoneyButtonWrapper = ({ amount, onClick, windowWidth }) => {
  return (
    <MoneyButton onClick={onClick} windowWidth={windowWidth}>
      {amount}
    </MoneyButton>
  );
};
