import React from 'react';
import { Paper, TablePagination, makeStyles } from '@material-ui/core';

const useStyles = makeStyles({
  root: {
    width: '100%',
  },
  container: {
    maxHeight: 440,
  },
});

const StickyHeadTable = (records, pagination) => {
  const classes = useStyles();
  const [page, setPage] = React.useState(0);
  const [rowsPerPage, setRowsPerPage] = React.useState(pagination);

  const handleChangePage = (event, newPage) => {
    setPage(newPage);
  };

  const handleChangeRowsPerPage = (event) => {
    setRowsPerPage(+event.target.value);
    setPage(0);
  };
  const recordsAfterPagingAndSorting = () => {
    return records.slice(page * rowsPerPage, (page + 1) * rowsPerPage);
  };
  const TblContainer = ({ children }) => {
    return (
      <>
        {children}
        {pagination === true && (
          <TablePagination
            rowsPerPageOptions={[]}
            component="div"
            count={records.length}
            rowsPerPage={pagination === true ? 15 : records.length}
            page={page}
            onPageChange={handleChangePage}
            onRowsPerPageChange={handleChangeRowsPerPage}
            labelRowsPerPage=""
          />
        )}
      </>
    );
  };
  return {
    TblContainer,
    recordsAfterPagingAndSorting,
  };
};

export default StickyHeadTable;
