import React from "react";
import { useTimer } from "react-timer-hook";

const MyTimer = ({ expiryTimestamp, text, onExpire }) => {
  const { seconds, minutes } = useTimer({
    expiryTimestamp,
    onExpire,
  });
  const Minutes = `${minutes}`;
  const padStartMinutes =
    Minutes.length < 2 ? Minutes.padStart(2, "0") : Minutes;
  const Seconds = `${seconds}`;
  const padStartSeconds =
    Seconds.length < 2 ? Seconds.padStart(2, "0") : Seconds;

  return (
    <div style={{ textAlign: "center" }}>
      <div
        style={{
          fontSize: "18px",
          display: "flex",
          justifyContent: "space-between",
          alignItems: "center",
        }}
      >
        {text && <span style={{ marginRight: 16 }}>{text}</span>}
        <span style={{ color: minutes < 1 ? "red" : "green" }}>
          {padStartMinutes}
        </span>
        :
        <span style={{ color: minutes < 1 ? "red" : "green" }}>
          {padStartSeconds}
        </span>
      </div>
    </div>
  );
};

export default MyTimer;
