import React from "react";
import { useDispatch, useSelector } from "react-redux";
const ARRAY_SIZE = 20;
const RESPONSE_TIME_IN_MS = 5000;

function loadItems(startCursor = 0) {
  return new Promise((resolve) => {
    let newArray = [];

    // setTimeout(() => {
    //   for (let i = startCursor; i < startCursor + ARRAY_SIZE; i++) {
    //     const newItem = {
    //       key: i,
    //       value: `This is item ${i}`,
    //     };
    //     newArray = [...newArray, newItem];
    //   }

    //   resolve({ hasNextPage: true, data: newArray });
    // }, RESPONSE_TIME_IN_MS);
  });
}

export function useLoadItems() {
  const { passbook } = useSelector((state) => state.passbook);
  const [loading, setLoading] = React.useState(false);
  const [items, setItems] = React.useState(passbook);
  const [hasNextPage, setHasNextPage] = React.useState(true);
  const [error, setError] = React.useState();

  async function loadMore() {
    setLoading(true);
    try {
      const { data, hasNextPage: newHasNextPage } = await loadItems(
        items.length
      );
      setItems((current) => [...current, ...data]);
      setHasNextPage(newHasNextPage);
    } catch (err) {
      setError(err);
    } finally {
      setLoading(false);
    }
  }

  return { loading, items, hasNextPage, error, loadMore };
}
