import Router from "next/router";
import { useEffect } from "react";

// export const useWarnIfUnsavedChanges = (unsavedChanges, callback) => {
//   useEffect(() => {
//     if (unsavedChanges) {
//       const routeChangeStart = () => {
//         const ok = callback();
//         if (!ok) {
//           Router.events.emit("routeChangeError");
//           throw "Abort route change. Please ignore this error.";
//         }
//       };
//       Router.events.on("routeChangeStart", routeChangeStart);
//       Router.events.on("routeChangeStart", routeChangeStart);

//       return () => {
//         Router.events.off("routeChangeStart", routeChangeStart);
//       };
//     }
//   }, [unsavedChanges]);
// };
// export const useWarnIfUnsavedChanges = (notSaved, callback) => {
//   useEffect(() => {
//     const confirmationMessage = "Changes you made may not be saved.";
//     const beforeUnloadHandler = (e) => {
//       console.log(e);
//       (e || window.event).returnValue = confirmationMessage;
//       return confirmationMessage; // Gecko + Webkit, Safari, Chrome etc.
//     };
//     const beforeRouteHandler = (url) => {
//       const newUrl = url.replace("%7D", "");
//       console.log(newUrl, Router.pathname);
//       if (Router.asPath !== url && notSaved && !confirm(confirmationMessage)) {
//         // to inform NProgress or something ...
//         Router.events.emit("routeChangeError");
//         Router.replace(Router, Router.asPath);
//         // tslint:disable-next-line: no-string-throw
//         throw `Route change to "${url}"  was aborted (this error can be safely ignored). See https://github.com/zeit/next.js/issues/2476.`;
//       }
//     };
//     if (notSaved) {
//       window.addEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.on("routeChangeStart", beforeRouteHandler);
//     } else {
//       window.removeEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.off("routeChangeStart", beforeRouteHandler);
//     }
//     return () => {
//       window.removeEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.off("routeChangeStart", beforeRouteHandler);
//     };
//   }, [notSaved]);
// };

// import { useEffect } from "react";
// import Router from "next/router";

export const useWarnIfUnsavedChanges = (unsavedChanges) => {
  const message = "Do you want to leave?";
  useEffect(() => {
    const routeChangeStart = (url) => {
      if (Router.asPath !== url && unsavedChanges && !confirm(message)) {
        Router.events.emit("routeChangeError");
        Router.replace(Router, Router.asPath);

        throw "Abort route change. Please ignore this error.";
      }
    };

    const beforeunload = (e) => {
      if (unsavedChanges) {
        console.log(message);
        e.preventDefault();
        e.returnValue = message;
        return message;
      }
    };

    window.addEventListener("beforeunload", beforeunload, { capture: true });
    Router.events.on("routeChangeStart", routeChangeStart);

    return () => {
      window.removeEventListener("beforeunload", beforeunload);
      Router.events.off("routeChangeStart", routeChangeStart);
    };
  }, [unsavedChanges]);
};
