// /* eslint-disable @next/next/google-font-display */
// // /* eslint-disable @next/next/google-font-display */
// // eslint-disable-next-line @next/next/google-font-display
// import React from "react";
// import Document, { Html, Head, Main, NextScript } from "next/document";
// import { ServerStyleSheets } from "@material-ui/styles";
// import { createTheme, responsiveFontSizes } from "@material-ui/core/styles";
// import createEmotionServer from "@emotion/server/create-instance";
// // import theme from "./src/theme";
// import createEmotionCache from "./src/createEmotionCache";

// const theme = responsiveFontSizes(createTheme());

// class MyDocument extends Document {
//   render() {
//     return (
//       <Html>
//         <Head>
//           <meta charSet="utf-8" />
//           {/* <meta
//             name="viewport"
//             content="minimum-scale=1, initial-scale=1, width=device-width, shrink-to-fit=no"
//           /> */}
//           <meta name="theme-color" content={theme.palette.primary.main} />

//           <link
//             rel="stylesheet"
//             href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"
//           />
//           <style jsx global>
//             {`
//               html,
//               body {
//                 height: 100%;
//                 width: 100%;
//               }
//               *,
//               *:after,
//               *:before {
//                 box-sizing: border-box;
//               }
//               body {
//                 font-family: "Roboto", "Helvetica", "Arial", sans-serif;
//                 font-size: 1rem;
//                 margin: 0;
//               }
//             `}
//           </style>
//         </Head>
//         <body>
//           <Main />
//           <NextScript />
//         </body>
//       </Html>
//     );
//   }
// }

// MyDocument.getInitialProps = async (ctx) => {
//   // Render app and page and get the context of the page with collected side effects.
//   const sheets = new ServerStyleSheets();
//   const originalRenderPage = ctx.renderPage;
//   const cache = createEmotionCache();
//   const { extractCriticalToChunks } = createEmotionServer(cache);
//   ctx.renderPage = () =>
//     originalRenderPage({
//       enhanceApp: (App) => (props) => <App emotionCache={cache} {...props} />,
//     });

//   const initialProps = await Document.getInitialProps(ctx);
//   const emotionStyles = extractCriticalToChunks(initialProps.html);
//   const emotionStyleTags = emotionStyles.styles.map((style) => (
//     <style
//       data-emotion={`${style.key} ${style.ids.join(" ")}`}
//       key={style.key}
//       // eslint-disable-next-line react/no-danger
//       dangerouslySetInnerHTML={{ __html: style.css }}
//     />
//   ));
//   // return {
//   //   ...initialProps,
//   //   // Styles fragment is rendered after the app and page rendering finish.
//   //   styles: [
//   //     <React.Fragment key="styles">
//   //       {initialProps.styles}
//   //       {sheets.getStyleElement()}
//   //     </React.Fragment>,
//   //   ],
//   // };
//   return {
//     ...initialProps,
//     // Styles fragment is rendered after the app and page rendering finish.
//     styles: [
//       ...React.Children.toArray(initialProps.styles),
//       ...emotionStyleTags,
//     ],
//   };
// };

// export default MyDocument;
/* eslint-disable @next/next/google-font-display */
import React from "react";
import Document, { Html, Head, Main, NextScript } from "next/document";
import { ServerStyleSheets } from "@material-ui/styles";
import { createTheme, responsiveFontSizes } from "@material-ui/core/styles";

const theme = responsiveFontSizes(createTheme());

class MyDocument extends Document {
  render() {
    return (
      <Html>
        <Head>
          <meta charSet="utf-8" />
          {/* <meta
            name="viewport"
            content="minimum-scale=1, initial-scale=1, width=device-width, shrink-to-fit=no"
          /> */}
          <meta name="theme-color" content={theme.palette.primary.main} />
          <link
            rel="stylesheet"
            href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"
          />
          <style jsx global>
            {`
              html,
              body {
                height: 100%;
                width: 100%;
              }
              *,
              *:after,
              *:before {
                box-sizing: border-box;
              }
              body {
                font-family: "Roboto", "Helvetica", "Arial", sans-serif;
                font-size: 1rem;
                margin: 0;
              }
            `}
          </style>
        </Head>
        <body>
          <Main />
          <NextScript />
        </body>
      </Html>
    );
  }
}

MyDocument.getInitialProps = async (ctx) => {
  // Render app and page and get the context of the page with collected side effects.
  const sheets = new ServerStyleSheets();
  const originalRenderPage = ctx.renderPage;

  ctx.renderPage = () =>
    originalRenderPage({
      // eslint-disable-next-line react/display-name
      enhanceApp: (App) => (props) => sheets.collect(<App {...props} />),
    });

  const initialProps = await Document.getInitialProps(ctx);

  return {
    ...initialProps,
    // Styles fragment is rendered after the app and page rendering finish.
    styles: [
      <React.Fragment key="styles">
        {initialProps.styles}
        {sheets.getStyleElement()}
      </React.Fragment>,
    ],
  };
};

export default MyDocument;
