import ContainerComponent from "@/components/ContainerComponent";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";
import withAuth from "@/components/RouteGuard";
import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import ComplaintsTrackComponent from "@/screens/ComplaintsTrackComponent";
import { Divider, makeStyles, Paper } from "@material-ui/core";
import { END } from "@redux-saga/core";
const useStyles = makeStyles((theme) => ({
  root: {},
  paper: {
    borderRadius: theme.spacing(4),
  },
}));
const ComplaintsTrack = () => {
  const classes = useStyles();
  return (
    <ContainerComponent maxWidth="md">
      <Paper elevation={3} className={classes.paper}>
        <ComplaintsTrackComponent />
      </Paper>
    </ContainerComponent>
  );
};
// export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
//   // store.dispatch(getAllCategory());

//   // if (!store.getState().Category) {
//   //   store.dispatch(getAllCategory());
//   //   store.dispatch(END);
//   // }
//   store.dispatch(getAllCategory());

//   store.dispatch(END);
//   await store.sagaTask.toPromise();
// });

export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    return {
      props: {},
    };
  })
);

export default ComplaintsTrack;
