import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { END } from "redux-saga";
import { wrapper } from "@/redux/store";
import { getAllCategory } from "@/redux/actions/categories.actions";
import styles from "@/styles/Home.module.css";
import Overlay from "@/components/Overlay";
import Mobile from "@/screens/Mobile";
import Page from "@/components/Page";
import { Link } from "@/components/Link";
import { loginValidate } from "@/redux/actions/auth.actions";

const HomePage = () => {
  const dispatch = useDispatch();
  const CategoryState = useSelector((state) => state.category);
  const { loading } = CategoryState;
  useEffect(() => {
    dispatch(getAllCategory());
  }, [dispatch]);

  return (
    <>
      {loading && <Overlay />}
      <div className={styles.container}>
        <Page title="Home" component={() => <Link href="/cable-tv">Hi</Link>} />
      </div>
    </>
  );
};

export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
  // store.dispatch(getAllCategory());

  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch(getAllCategory());

  store.dispatch(END);
  await store.sagaTask.toPromise();
});

export default HomePage;
