import ContainerComponent from "@/components/ContainerComponent";
import Overlay from "@/components/Overlay";
import { PageSecondary } from "@/components/PageSecondary";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";
import withAuth from "@/components/RouteGuard";
import { getAllCategory } from "@/redux/actions/categories.actions";
import { getPassBook, getWalletBalance } from "@/redux/actions/passbook.action";
import { wrapper } from "@/redux/store";
import PassbookComponent from "@/screens/Passbook/PassbookComponent";
import { makeStyles, Paper } from "@material-ui/core";
import { END } from "@redux-saga/core";
import Cookies from "js-cookie";
import Head from "next/head";
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
const useStyles = makeStyles((theme) => ({
  root: {},
  paper: {
    borderRadius: theme.spacing(4),
  },
}));
const Passbook = () => {
  const dispatch = useDispatch();
  // useEffect(() => {
  //   dispatch(
  //     getPassBook({ mbl: Cookies.get("mobile"), reg_id: Cookies.get("regId") })
  //   );
  // }, [dispatch]);
  const { loading } = useSelector((state) => state.passbook);
  const classes = useStyles();
  return (
    <>
      {/* {loading && <Overlay />} */}
      {/* <Head>
        <title>Aaipay || Passbook</title>
        <meta name="viewport" content="initial-scale=1.0, width=device-width" />
      </Head>
      <ContainerComponent maxWidth="md">
        <Paper elevation={3} className={classes.paper}>
          <PassbookComponent />
        </Paper>
      </ContainerComponent> */}
      <PageSecondary paper={true} title="Passbook" loading={loading}>
        <PassbookComponent />
      </PageSecondary>
    </>
  );
};
// export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
//   // store.dispatch(getAllCategory());

//   // if (!store.getState().Category) {
//   //   store.dispatch(getAllCategory());
//   //   store.dispatch(END);
//   // }

//   store.dispatch(getAllCategory());
//   // store.dispatch(getWalletBalance({ mbl, reg_id }));

//   store.dispatch(END);
//   await store.sagaTask.toPromise();
// });

export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    return {
      props: {},
    };
  })
);

export default Passbook;
