import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import { END } from "@redux-saga/core";
import Razorpay from "@/components/Razorpay";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";
import { PageSecondary } from "@/components/PageSecondary";
const TransactionPage = () => {
  return (
    <PageSecondary paper={true} title="Transaction">
      <Razorpay
        amount={
          typeof window !== "undefined" && window.localStorage.getItem("amount")
        }
      />
    </PageSecondary>
  );
};

export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    return {
      props: {},
    };
  })
);
export default TransactionPage;
