import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import { END } from "@redux-saga/core";
import UPI from "@/components/UPI";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";
import { PageSecondary } from "@/components/PageSecondary";
const UPIPage = () => {
  return (
    <PageSecondary title="Pay Using UPI" paper={true} customPage={true}>
      <UPI
        customPage={true}
        amount={
          typeof window !== "undefined" && window.localStorage.getItem("amount")
        }
      />
    </PageSecondary>
  );
};

export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    return {
      props: {},
    };
  })
);
export default UPIPage;
