import CouponConfirm from "@/components/CouponConfirm";
import GetOnStore from "@/components/GetOnStore";
import Offers from "@/components/Offers/Offers";
import { PageSecondary } from "@/components/PageSecondary";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";
import { getAllCategory } from "@/redux/actions/categories.actions";
import {
  setPlan,
  validateCoupon,
} from "@/redux/actions/mobile.recharge.actions";
import { getWalletBalance } from "@/redux/actions/passbook.action";
import { wrapper } from "@/redux/store";
import { END } from "@redux-saga/core";
import Cookies from "js-cookie";
import { useEffect } from "react";
import { useDispatch } from "react-redux";
const CouponRechargePage = () => {
  const dispatch = useDispatch();
  const mbl = Cookies.get("mobile");
  const reg_id = Cookies.get("regId");
  useEffect(() => {
    dispatch(getWalletBalance({ mbl, reg_id }));
  }, [dispatch, mbl, reg_id]);
  return (
    <>
      <PageSecondary title="Payment Details" paper={true}>
        <CouponConfirm />
      </PageSecondary>
      <Offers />
      <GetOnStore />
    </>
  );
};
export const getServerSideProps = wrapper.getServerSideProps(async (ctx) => {
  const { req } = ctx;
  if (typeof req.headers.cookie !== "undefined") {
    const tokens = req.headers.cookie.split(";");
    const plan = tokens.find((token) => token.includes("plan"))?.split("=")[1];
    const cpn = tokens.find((token) => token.includes("cpn"))?.split("=")[1];
    const regId = tokens
      .find((token) => token.includes("regId"))
      ?.split("=")[1];
    const decoded = decodeURIComponent(`${plan}`); //NOTE decodeURIComponent is used to remove %20 or any other character oter than object form urls
    const decodedCpn = decodeURIComponent(`${cpn}`); //NOTE decodeURIComponent is used to remove %20 or any other character oter than object form urls
    ctx.store.dispatch(setPlan(decoded));
    const planFromStore = ctx.store.getState().mobilePlan.plan;
    const couponData = {
      amount: planFromStore.recharge_amount,
      userid: regId,
      cpn: decodedCpn,
      serviceType: planFromStore.recharge_type,
      operator: planFromStore.oprCode,
    };

    if (typeof cpn !== "undefined") {
      ctx.store.dispatch(validateCoupon(couponData));
    }
    if (typeof plan === "undefined") {
      return {
        redirect: {
          permanent: false,
          destination: "/mobile",
        },
      };
    }
    // ctx.store.dispatch(getWalletBalance({ mbl: mobile, reg_id: regId }));
  } else {
    return {
      redirect: {
        permanent: false,
        destination: "/mobile",
      },
    };
  }
  ctx.store.dispatch(getAllCategory());
  ctx.store.dispatch(END);
  await ctx.store.sagaTask.toPromise();
  return {
    props: {},
  };
});
export default CouponRechargePage;
