import { PageSecondary } from "@/components/PageSecondary";
import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import MyProfileComponent from "@/screens/MyProfile/MyProfileComponent";

import { END } from "@redux-saga/core";

import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";

const MyProfile = () => {
  return (
    <PageSecondary title="My Profile" paper={true}>
      <MyProfileComponent />
    </PageSecondary>
  );
};

export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    return {
      props: {},
    };
  })
);

export default MyProfile;
