import Cookies from "js-cookie";
import {
  GET_PROFILE_REQUEST,
  GET_PROFILE_SUCCESS,
  GET_PROFILE_FAILED,
  LOGIN_OTP_REQUEST,
  REGISTER_USER_REQUEST,
  SET_OTP_REQUEST,
  USER_LOGOUT,
  LOGIN_VALIDATE_REQUEST,
  USER_VALIDATE_REQUEST,
  UPDATE_PROFILE_REQUEST,
  NEW_LOGIN_REQUEST,
} from "../constants/auth.constants";

/*----------------------------------
          SEND OTP         
==================================*/

export const sendOtp = (mbl) => {
  return {
    type: LOGIN_OTP_REQUEST,
    payload: { mbl },
  };
};

/*----------------------------------
          REGISTER USER     
==================================*/
export const registerUser = (mbl, fullName, email, owId) => {
  return {
    type: REGISTER_USER_REQUEST,
    payload: { mbl, fullName, email, owId },
  };
};

/*----------------------------------
          NEW LOGIN    
==================================*/
export const loginNewUser = (mbl, otp, owId, history) => {
  return {
    type: NEW_LOGIN_REQUEST,
    payload: { mbl, otp, owId, history },
  };
};

/*----------------------------------
          SET OTP    
==================================*/
export const setOtp = (mbl, otp, history) => {
  return {
    type: SET_OTP_REQUEST,
    payload: { mbl, otp, history },
  };
};

/*-----------------------
         LOGOUT          
========================*/

export const logout = () => {
  Cookies.remove("loginKey");
  Cookies.remove("ip");
  Cookies.remove("mobile");
  Cookies.remove("regId");
  Cookies.remove("password");
  return { type: USER_LOGOUT };
};

/*----------------------------------
          VALIDATE LOGIN          
==================================*/

export const loginValidate = (payload) => {
  return { type: LOGIN_VALIDATE_REQUEST, payload };
};

/*----------------------------------
         USER VALIDATE          
==================================*/

export const userValidate = (payload) => {
  return { type: USER_VALIDATE_REQUEST, payload };
};

/*----------------------------------
         GET PROFILE    
==================================*/
export const getMyProfile = (reg_id, mbl) => {
  return {
    type: GET_PROFILE_REQUEST,
    payload: { reg_id, mbl },
  };
};
export const populateProfile = (user) => {
  console.log(user.data, "action success");
  return { type: GET_PROFILE_SUCCESS, payload: { ...user.data } };
};
export const populateProfileFailed = (error) => {
  return { type: GET_PROFILE_FAILED, payload: error };
};

/*----------------------------------
          UPDATE PROFILE    
==================================*/

export const updateProfile = (entry) => {
  return { type: UPDATE_PROFILE_REQUEST, payload: entry };
};
