import {
  LOAD_BILLERS_FAILURE,
  LOAD_BILLERS_REQUEST,
  LOAD_BILLERS_SUCCESS,
  LOAD_BILL_FETCH_FAILURE,
  LOAD_BILL_FETCH_REQUEST,
  LOAD_BILL_FETCH_SUCCESS,
  LOAD_QUICK_PAY_FAILURE,
  LOAD_QUICK_PAY_REQUEST,
  LOAD_QUICK_PAY_SUCCESS,
  LOAD_INPUT_FIELDS_REQUEST,
  LOAD_INPUT_FIELDS_SUCCESS,
  LOAD_INPUT_FIELDS_FAILURE,
  RESET_INPUT_FIELDS,
  LOAD_EDUC_BILLERS_REQUEST,
  LOAD_EDUC_BILLERS_SUCCESS,
  LOAD_EDUC_BILLERS_FAILURE,
  BILL_PAY_REQUEST,
  BILL_PAY_SUCCESS,
  BILL_PAY_FAILURE,
} from "@/redux/constants/bbps.constants";

/*----------------------------------
          Biller Data          
==================================*/
export const getAllBillers = (serviceId) => {
  return { type: LOAD_BILLERS_REQUEST, payload: serviceId };
};

export const populatedBillers = (entries) => {
  return { type: LOAD_BILLERS_SUCCESS, payload: entries };
};
export const populatedBillersFailed = (error) => {
  return { type: LOAD_BILLERS_FAILURE, payload: error };
};

/*----------------------------------
          Biller Data          
==================================*/
export const getAllEducationBillers = (city, serviceId) => {
  return { type: LOAD_EDUC_BILLERS_REQUEST, payload: { city, serviceId } };
};

export const populatedEducationBillers = (entries) => {
  return { type: LOAD_EDUC_BILLERS_SUCCESS, payload: entries };
};
export const populatedEducationBillersFailed = (error) => {
  return { type: LOAD_EDUC_BILLERS_FAILURE, payload: error };
};

/*----------------------------------
          FIELD INPUT DATA          
==================================*/

export const getAllInputFields = (billerId) => {
  return { type: LOAD_INPUT_FIELDS_REQUEST, payload: billerId };
};

export const populatedInputFields = (entries) => {
  return { type: LOAD_INPUT_FIELDS_SUCCESS, payload: entries };
};
export const populatedInputFieldsFailed = (error) => {
  return { type: LOAD_INPUT_FIELDS_FAILURE, payload: error };
};
export const resetInputFields = () => {
  return { type: RESET_INPUT_FIELDS };
};

/*----------------------------------
          Bill FETCH          
==================================*/
export const getFetchedBill = (data) => {
  return { type: LOAD_BILL_FETCH_REQUEST, payload: data };
};

export const populateFetchedBill = (entries) => {
  return { type: LOAD_BILL_FETCH_SUCCESS, payload: entries };
};
export const populateFetchedBillFailed = (error) => {
  return { type: LOAD_BILL_FETCH_FAILURE, payload: error };
};

/*----------------------------------
          Bill FETCH          
==================================*/
export const getQuickPay = (data) => {
  return { type: LOAD_QUICK_PAY_REQUEST, payload: data };
};

export const populateQuickPay = (entries) => {
  return { type: LOAD_QUICK_PAY_SUCCESS, payload: entries };
};
export const populateQuickPayFailed = (error) => {
  return { type: LOAD_QUICK_PAY_FAILURE, payload: error };
};

/*----------------------------------
          Bill Pay          
==================================*/
export const billPayment = (billPayDetails) => {
  return { type: BILL_PAY_REQUEST, payload: billPayDetails };
};

export const billPaymentSuccess = (entries) => {
  return { type: BILL_PAY_SUCCESS, payload: entries };
};
export const billPaymentFailed = (error) => {
  return { type: BILL_PAY_FAILURE, payload: error };
};
