import {
  SEND_COMPLAINT_FAILURE,
  SEND_COMPLAINT_REQUEST,
  SEND_COMPLAINT_SUCCESS,
  GET_COMPLAINT_STATUS_FAILURE,
  GET_COMPLAINT_STATUS_REQUEST,
  GET_COMPLAINT_STATUS_SUCCESS,
  GET_COMPLAINT_TRANSACTION_HISTORY_FAILURE,
  GET_COMPLAINT_TRANSACTION_HISTORY_REQUEST,
  GET_COMPLAINT_TRANSACTION_HISTORY_SUCCESS,
} from "../constants/complaints.constants";

/*----------------------------------
          COMPLAINT REGISTRATION          
==================================*/
export const sendComplaint = (data) => {
  return { type: SEND_COMPLAINT_REQUEST, payload: data };
};

export const populateComplaint = (entries) => {
  return { type: SEND_COMPLAINT_SUCCESS, payload: entries };
};
export const populateComplaintFailed = (error) => {
  return { type: SEND_COMPLAINT_FAILURE, payload: error };
};

/*----------------------------------
          COMPLAINT TRACKING          
==================================*/
export const getComplaintStatus = (data) => {
  return { type: GET_COMPLAINT_STATUS_REQUEST, payload: data };
};

export const populateComplaintStatus = (entries) => {
  return { type: GET_COMPLAINT_STATUS_SUCCESS, payload: entries };
};
export const populateComplaintStatusFailed = (error) => {
  return { type: GET_COMPLAINT_STATUS_FAILURE, payload: error };
};

/*---------------------------------------
    COMPLAINT TRANSACTION SEARCH          
========================================*/
export const getComplaintTransactionHistory = (data) => {
  return { type: GET_COMPLAINT_TRANSACTION_HISTORY_REQUEST, payload: data };
};

export const populateComplaintTransactionHistory = (entries) => {
  return { type: GET_COMPLAINT_TRANSACTION_HISTORY_SUCCESS, payload: entries };
};
export const populateComplaintTransactionHistoryFailed = (error) => {
  return { type: GET_COMPLAINT_TRANSACTION_HISTORY_FAILURE, payload: error };
};
