import {
  LOAD_OPERATOR_FAILURE,
  LOAD_OPERATOR_REQUEST,
  LOAD_OPERATOR_SUCCESS,
  LOAD_PLANS_REQUEST,
  LOAD_PLANS_SUCCESS,
  LOAD_PLANS_FAILURE,
  SET_PLAN_REQUEST,
  SET_PLAN_SUCCESS,
  SET_PLAN_FAILURE,
  VALIDATE_COUPON_REQUEST,
  VALIDATE_COUPON_SUCCESS,
  VALIDATE_COUPON_FAILURE,
} from "@/redux/constants/mobile.recharge.constants";

/*----------------------------------
         GET ALL OPERATOR          
==================================*/

export const getAllOperators = (service) => {
  return { type: LOAD_OPERATOR_REQUEST, payload: service };
};

export const populateOperators = (entries) => {
  return { type: LOAD_OPERATOR_SUCCESS, payload: entries };
};
export const populateOperatorsFailed = (error) => {
  return { type: LOAD_OPERATOR_FAILURE, payload: error };
};

/*----------------------------------
          GET ALL PLANS       
==================================*/

export const getAllPlans = (mbl) => {
  return { type: LOAD_PLANS_REQUEST, payload: mbl };
};

export const populatePlans = (entries) => {
  return { type: LOAD_PLANS_SUCCESS, payload: entries };
};
export const populatePlansFailed = (error) => {
  return { type: LOAD_PLANS_FAILURE, payload: error };
};

/*----------------------------------
          SET PLAN       
==================================*/

export const setPlan = (entry) => {
  return { type: SET_PLAN_REQUEST, payload: entry };
};

export const setPlanDone = (entries) => {
  return { type: SET_PLAN_SUCCESS, payload: entries };
};
export const setPlanFail = (error) => {
  return { type: SET_PLAN_FAILURE, payload: error };
};

/*----------------------------------
          VALIDATE COUPON          
==================================*/

export const validateCoupon = (entry) => {
  return { type: VALIDATE_COUPON_REQUEST, payload: entry };
};

export const validateCouponDone = (entries) => {
  return { type: VALIDATE_COUPON_SUCCESS, payload: entries };
};
export const validateCouponFail = (error) => {
  return { type: VALIDATE_COUPON_FAILURE, payload: error };
};
