import { HYDRATE } from "next-redux-wrapper";
import {
  LOAD_CATEGORY_FAILURE,
  LOAD_CATEGORY_REQUEST,
  LOAD_CATEGORY_SUCCESS,
} from "@/redux/constants/category.constants";

export const initialState = {
  error: false,
  categories: [],
  loading: true,
};

const categoryReducer = (state = initialState, action) => {
  switch (action.type) {
    case HYDRATE: {
      return { ...state, ...action.payload };
    }
    case LOAD_CATEGORY_REQUEST:
      return {
        ...state,
        categories: [],
        loading: true,
      };
    case LOAD_CATEGORY_SUCCESS:
      return {
        ...state,
        categories: [...action.payload],
        loading: false,
      };
    case LOAD_CATEGORY_FAILURE:
      return {
        ...state,
        error: action.payload,
        categories: [...state.categories],
        loading: false,
      };

    default:
      return state;
  }
};

export default categoryReducer;
