import {
  VALIDATE_COUPON_FAILURE,
  VALIDATE_COUPON_REQUEST,
  VALIDATE_COUPON_SUCCESS,
  CLEAR_COUPON_ERROR,
  RESET_COUPON,
} from "@/redux/constants/mobile.recharge.constants";

const initialState = {
  error: null,
  loading: false,
  data: {},
};

const couponCodeReducer = (state = initialState, action) => {
  switch (action.type) {
    case VALIDATE_COUPON_REQUEST:
      return {
        ...state,
        loading: true,
        data: {},
      };
    case VALIDATE_COUPON_SUCCESS:
      return {
        ...state,
        data: action.payload,
        loading: false,
      };
    case VALIDATE_COUPON_FAILURE:
      return {
        ...state,
        error: action.payload,
        data: {},
        loading: false,
      };

    case CLEAR_COUPON_ERROR:
      return {
        data: {},
        loading: false,
      };
    case RESET_COUPON:
      return {
        data: {},
        loading: false,
      };
    default:
      return state;
  }
};

export { couponCodeReducer };
