import { HYDRATE } from "next-redux-wrapper";
import {
  LOAD_DTH_CATEGORY_FAILURE,
  LOAD_DTH_CATEGORY_REQUEST,
  LOAD_DTH_CATEGORY_SUCCESS,
} from "@/redux/constants/dth.category.constants";

export const initialState = {
  error: false,
  dth_categories: [],
  loading: true,
};

const dthCategoriesReducer = (state = initialState, action) => {
  switch (action.type) {
    // case HYDRATE: {
    //   return { ...state, ...action.payload };
    // }
    case LOAD_DTH_CATEGORY_REQUEST:
      return {
        ...state,
        dth_categories: [],
        loading: true,
      };
    case LOAD_DTH_CATEGORY_SUCCESS:
      return {
        ...state,
        dth_categories: [...action.payload],
        loading: false,
      };
    case LOAD_DTH_CATEGORY_FAILURE:
      return {
        ...state,
        error: action.payload,
        dth_categories: [...state.dth_categories],
        loading: false,
      };
    default:
      return state;
  }
};

export default dthCategoriesReducer;
