import { HYDRATE } from "next-redux-wrapper";
import {
  LOAD_FEATURED_OFFERS_FAILURE,
  LOAD_FEATURED_OFFERS_REQUEST,
  LOAD_FEATURED_OFFERS_SUCCESS,
} from "@/redux/constants/featured.offers.constants";

export const initialState = {
  error: false,
  offers: [],
  loading: true,
};

const featuredOffersReducer = (state = initialState, action) => {
  switch (action.type) {
    // case HYDRATE: {
    //   return { ...state, ...action.payload };
    // }
    case LOAD_FEATURED_OFFERS_REQUEST:
      return {
        ...state,
        offers: [],
        loading: true,
      };
    case LOAD_FEATURED_OFFERS_SUCCESS:
      return {
        ...state,
        offers: [...action.payload],
        loading: false,
      };
    case LOAD_FEATURED_OFFERS_FAILURE:
      return {
        ...state,
        error: action.payload,
        offers: [...state.offers],
        loading: false,
      };
    default:
      return state;
  }
};

export default featuredOffersReducer;
