import { HYDRATE } from "next-redux-wrapper";
import {
  SET_PLAN_FAILURE,
  SET_PLAN_REQUEST,
  SET_PLAN_SUCCESS,
} from "@/redux/constants/mobile.recharge.constants";

const initialState = {
  error: null,
  loading: false,
  plan: {},
};

const mobilePlanReducer = (state = initialState, action) => {
  switch (action.type) {
    // case HYDRATE: {
    //   return { ...state, ...action.payload };
    // }

    case SET_PLAN_REQUEST:
      return {
        ...state,
        loading: true,
        plan: {},
      };
    case SET_PLAN_SUCCESS:
      return {
        ...state,
        plan: action.payload,
        loading: false,
      };
    case SET_PLAN_FAILURE:
      return {
        ...state,
        error: action.payload,
        plan: {},
        loading: false,
      };
    default:
      return state;
  }
};

export { mobilePlanReducer };
