import { HYDRATE } from "next-redux-wrapper";
import {
  LOAD_OPERATOR_FAILURE,
  LOAD_OPERATOR_REQUEST,
  LOAD_OPERATOR_SUCCESS,
} from "@/redux/constants/mobile.recharge.constants";

export const initialState = {
  error: false,
  operators: [],
  loading: false,
};

const operatorReducer = (state = initialState, action) => {
  switch (action.type) {
    case HYDRATE: {
      return { ...state, ...action.payload };
    }
    case LOAD_OPERATOR_REQUEST:
      return {
        ...state,
        operators: [],
        loading: true,
      };
    case LOAD_OPERATOR_SUCCESS:
      return {
        ...state,
        operators: [...action.payload],
        loading: false,
      };
    case LOAD_OPERATOR_FAILURE:
      return {
        ...state,
        error: action.payload,
        operators: [...state.operators],
        loading: false,
      };

    default:
      return state;
  }
};

export default operatorReducer;
