import { HYDRATE } from "next-redux-wrapper";
import {
  GET_PASSBOOK_FAILED,
  GET_PASSBOOK_REQUEST,
  GET_PASSBOOK_SUCCESS,
  GET_WALLET_FAILED,
  GET_WALLET_REQUEST,
  GET_WALLET_SUCCESS,
  GO_RAZORPAY,
} from "../constants/passbook.constants";

/*----------------------------------
          my profile REDUCER         
==================================*/
export const passbookReducer = (
  state = {
    // loading: true,
    error: false,
    passbook: [],
    wallet_balance: 0,
    transaction: {},
  },
  action
) => {
  switch (action.type) {
    case GET_PASSBOOK_REQUEST:
      console.log(action, "action.payload.request");
      return {
        ...state,
        loading: true,
        passbook: [],
        transaction: {},
      };
    case GET_PASSBOOK_SUCCESS:
      console.log(action, "action.payload");
      return {
        ...state,
        loading: false,
        passbook: [...action.payload],
        transaction: {},
        error: false,
      };
    case GET_PASSBOOK_FAILED: {
      return {
        ...state,
        error: action.payload,
        loading: false,
        passbook: [...state.passbook],
        transaction: {},
      };
    }
    case GET_WALLET_REQUEST:
      console.log(action, "action.payload.request");
      return {
        ...state,
        loading: true,
      };
    case GET_WALLET_SUCCESS:
      console.log(action, "action.payload");
      return {
        ...state,
        loading: false,
        wallet_balance: action.payload.ava_bal,
        error: false,
      };
    case HYDRATE: {
      console.table({ ...state, ...action.payload }, "hydration");
      return { ...state, ...action.payload };
    }
    case GET_WALLET_FAILED: {
      return {
        ...state,
        error: action.payload,
        loading: false,
        passbook: [...state.passbook],
        wallet_balance: [...state.wallet_balance],
      };
    }

    default:
      return state;
  }
};
export const walletReducer = (
  state = {
    loading: true,
    error: false,
    wallet_balance: 0,
  },
  action
) => {
  switch (action.type) {
    case GET_WALLET_REQUEST:
      console.log(action, "action.payload.request");
      return {
        ...state,
        loading: true,
      };
    case GET_WALLET_SUCCESS:
      console.log(action, "action.payload");
      return {
        ...state,
        loading: false,
        wallet_balance: action.payload.ava_bal,
        error: false,
      };
    case HYDRATE: {
      console.table({ ...state, ...action.payload }, "hydration");
      return { ...state, ...action.payload };
    }
    case GET_WALLET_FAILED: {
      return {
        ...state,
        error: action.payload,
        loading: false,
        passbook: [...state.passbook],
        wallet_balance: [...state.wallet_balance],
      };
    }

    default:
      return state;
  }
};

export const razorPayReducer = (
  state = {
    windowWidth: null,
    userInfo: {},
    amount: 0,
  },
  action
) => {
  switch (action.type) {
    case GO_RAZORPAY:
      console.log(action, "action.payload.request");
      return {
        ...state,
        windowWidth: action.payload.windowWidth,
        userInfo: action.payload.userInfo,
        amount: action.payload.amount,
      };

    default:
      return state;
  }
};
