import { HYDRATE } from "next-redux-wrapper";
import {
  LOAD_PLANS_FAILURE,
  LOAD_PLANS_REQUEST,
  LOAD_PLANS_SUCCESS,
} from "@/redux/constants/mobile.recharge.constants";

export const initialState = {
  error: false,
  loading: true,
  operator: "",
  circle: "",
  oprCode: "",
  plans: [],
};

const plansReducer = (state = initialState, action) => {
  switch (action.type) {
    case HYDRATE: {
      return { ...state, ...action.payload };
    }

    case LOAD_PLANS_REQUEST:
      return {
        ...state,
        circle: "",
        operator: "",
        oprCode: "",
        plans: [],
        loading: true,
      };
    case LOAD_PLANS_SUCCESS:
      return {
        ...state,
        plans: action.payload.RDATA,
        circle: action.payload.Circle,
        operator: action.payload.Operator,
        oprCode: action.payload.oprCode,
        loading: false,
      };
    case LOAD_PLANS_FAILURE:
      return {
        ...state,
        error: action.payload.ERROR,
        plans: [...state.plans],
        loading: false,
      };
    default:
      return state;
  }
};

export default plansReducer;
