import {
  LOAD_STATE_FAILURE,
  LOAD_STATE_REQUEST,
  LOAD_STATE_SUCCESS,
  LOAD_CITY_FAILURE,
  LOAD_CITY_REQUEST,
  LOAD_CITY_SUCCESS,
} from "@/redux/constants/state.city.constants";

export const initialState = {
  error: false,
  states: [],
  loading: false,
};

const statesReducer = (state = initialState, action) => {
  switch (action.type) {
    case LOAD_STATE_REQUEST:
      return {
        ...state,
        states: [],
        loading: true,
      };
    case LOAD_STATE_SUCCESS:
      return {
        ...state,
        states: [...action.payload],
        loading: false,
      };
    case LOAD_STATE_FAILURE:
      return {
        ...state,
        error: action.payload,
        states: [...state.states],
        loading: false,
      };

    default:
      return state;
  }
};

const citiesReducer = (
  state = { error: false, cities: [], loading: false },
  action
) => {
  switch (action.type) {
    case LOAD_CITY_REQUEST:
      return {
        ...state,
        cities: [],
        loading: true,
      };
    case LOAD_CITY_SUCCESS:
      return {
        ...state,
        cities: [...action.payload],
        loading: false,
      };
    case LOAD_CITY_FAILURE:
      return {
        ...state,
        error: action.payload,
        cities: [...state.cities],
        loading: false,
      };

    default:
      return state;
  }
};

export { statesReducer, citiesReducer };
