import {
  SEND_UPI_PAYMENT_FAILURE,
  SEND_UPI_PAYMENT_REQUEST,
  SEND_UPI_PAYMENT_SUCCESS,
  CHECK_STATUS_PAYMENT_REQUEST,
  CHECK_STATUS_PAYMENT_SUCCESS,
  CHECK_STATUS_PAYMENT_FAILURE,
} from "../constants/upi.constants";

const upiPaymentReducer = (state = {}, action) => {
  switch (action.type) {
    case SEND_UPI_PAYMENT_REQUEST:
      return {
        ...state,
        upi: {},
        loadingButton: true,
        loading: true,
      };
    case SEND_UPI_PAYMENT_SUCCESS:
      return {
        ...state,
        upi: { ...action.payload },
        loadingButton: false,
        loading: false,
      };
    case SEND_UPI_PAYMENT_FAILURE:
      return {
        ...state,
        upi: { ...state.upi },
        loadingButton: false,
        error: action.payload,
        loading: false,
      };
    case CHECK_STATUS_PAYMENT_SUCCESS:
    case CHECK_STATUS_PAYMENT_FAILURE:
      return {
        ...state,
        status: action.payload,
      };
    default:
      return state;
  }
};

export { upiPaymentReducer };
