import { put, takeLatest, call } from "@redux-saga/core/effects";

import {
  populateCategory,
  populateCategoryFailed,
} from "@/redux/actions/categories.actions";
import { LOAD_CATEGORY_REQUEST } from "@/redux/constants/category.constants";
import api from "../config/api.main";

export function* getAllCategory() {
  yield takeLatest(LOAD_CATEGORY_REQUEST, fetchCategories);
}
function* fetchCategories() {
  try {
    const {
      data: { data },
    } = yield call(api, `/BillPay/getBillerCategories.jsp`);
    yield put(populateCategory(data));
  } catch (error) {
    yield put(
      populateCategoryFailed(typeof error !== "object" ? error : error.message)
    );
    console.log(error instanceof TypeError, "instance"); // true
    console.log(error.message, "message"); // "null has no properties"
    console.log(error.name, "name"); // "TypeError"
    console.log(error.fileName, "fileName"); // "Scratchpad/1"
    console.log(error.lineNumber, "line"); // 2
    console.log(error.columnNumber, "col"); // 2
    console.log(error.stack, "stack");
  }
}

// export function* getAllCategory() {
//   yield take(LOAD_CATEGORY_REQUEST);
//   try {
//     const {
//       data: { data },
//     } = yield call(axios, `${BASE_URL}/BillPay/getBillerCategories.jsp`);
//     yield put(populateCategory(data));
//   } catch (error) {
//     yield put(
//       populateCategoryFailed(typeof error !== 'object' ? error : error.message)
//     );
//   }
// }
