import { put, takeLatest, call } from "@redux-saga/core/effects";
import {
  validateCouponDone,
  validateCouponFail,
} from "@/redux/actions/mobile.recharge.actions";
import { closeModal } from "@/redux/actions/modal.actions";
import { VALIDATE_COUPON_REQUEST } from "@/redux/constants/mobile.recharge.constants";
import api from "../config/api.main";

export function* validateCouponCode() {
  yield takeLatest(VALIDATE_COUPON_REQUEST, validateCpn);
}
function* validateCpn({ payload }) {
  const { amount, userid, cpn, serviceType, operator } = payload;
  // console.log(payload);
  try {
    const { data } = yield call(
      api,
      `cpn_management.jsp?amount=${amount}&userid=${userid}&cpn=${cpn}&serviceType=${serviceType}&operator=${operator}`
    );

    yield put(validateCouponDone(data));
    if (data.status === true) {
      yield put(closeModal({ modalProps: { open: false } }));
    }
  } catch (error) {
    yield put(
      validateCouponFail(typeof error !== "object" ? error : error.message)
    );
  }
}
