import { put, takeLatest } from "@redux-saga/core/effects";

import {
  populateDTHCategory,
  populateDTHCategoryFailed,
} from "@/redux/actions/dth.category.action";
import { LOAD_DTH_CATEGORY_REQUEST } from "@/redux/constants/dth.category.constants";
import axios from "axios";

export function* getAllDTHCategory() {
  yield takeLatest(LOAD_DTH_CATEGORY_REQUEST, fetchDTHCategory);
}
function* fetchDTHCategory() {
  try {
    const { data } = yield axios.get(
      `https://aaipay.in:10002/api/apps/v1/aai-system/connection/getProductCategories.jsp`,
      {
        "content-type": "application/json",
      }
    );
    console.log(data);
    yield put(populateDTHCategory(data));
  } catch (error) {
    yield put(
      populateDTHCategoryFailed(
        typeof error !== "object" ? error : error.message
      )
    );
  }
}
