import { put, takeLatest } from "@redux-saga/core/effects";

import {
  populateOffers,
  populateOffersFailed,
} from "@/redux/actions/featured.offers.action";
import { LOAD_FEATURED_OFFERS_REQUEST } from "@/redux/constants/featured.offers.constants";
import axios from "axios";

export function* getAllOffers() {
  yield takeLatest(LOAD_FEATURED_OFFERS_REQUEST, fetchOffers);
}
function* fetchOffers() {
  try {
    const { data } = yield axios.get(
      `https://aaipay.in:10002/api/apps/v1/Featured_Offer.jsp`,
      {
        "content-type": "application/json",
      }
    );
    console.log(data);
    yield put(populateOffers(data));
  } catch (error) {
    yield put(
      populateOffersFailed(typeof error !== "object" ? error : error.message)
    );
  }
}
