import { put, takeLatest } from "@redux-saga/core/effects";
import {
  setPlanDone,
  setPlanFail,
} from "@/redux/actions/mobile.recharge.actions";
import { SET_PLAN_REQUEST } from "@/redux/constants/mobile.recharge.constants";

export function* setPlanMobile() {
  yield takeLatest(SET_PLAN_REQUEST, setPlan);
}
function* setPlan({ payload }) {
  try {
    const parsedPayload = JSON.parse(payload);
    yield put(setPlanDone(parsedPayload));
  } catch (error) {
    yield put(setPlanFail(typeof error !== "object" ? error : error.message));
  }
}
