import { put, takeLatest, call } from "@redux-saga/core/effects";
import axios from "axios";
import {
  populateOperators,
  populateOperatorsFailed,
} from "@/redux/actions/mobile.recharge.actions";
import { LOAD_OPERATOR_REQUEST } from "@/redux/constants/mobile.recharge.constants";

import api from "../config/api.main";

export function* getAllOperator() {
  yield takeLatest(LOAD_OPERATOR_REQUEST, fetchOperators);
}
function* fetchOperators({ payload }) {
  try {
    const {
      data: { data },
    } = yield call(api, `/get_operator.jsp?service=${payload}`);

    yield put(populateOperators(data));
  } catch (error) {
    yield put(
      populateOperatorsFailed(typeof error !== "object" ? error : error.message)
    );
  }
}
