import { put, takeLatest, call } from "@redux-saga/core/effects";
import {
  populatePlans,
  populatePlansFailed,
} from "@/redux/actions/mobile.recharge.actions";
import { LOAD_PLANS_REQUEST } from "@/redux/constants/mobile.recharge.constants";
import apiInitial from "../config/api.initial";

export function* getAllPlans() {
  yield takeLatest(LOAD_PLANS_REQUEST, fetchPlans);
}
function* fetchPlans({ payload }) {
  try {
    const { data } = yield call(apiInitial, `/view_plan.jsp?mbl=${payload}`);

    yield put(populatePlans(data));
  } catch (error) {
    yield put(
      populatePlansFailed(typeof error !== "object" ? error : error.message)
    );
  }
}
