import { all, call } from "redux-saga/effects";
import { getAllCategory } from "@/redux/saga/category.saga";
import { getAllOperator } from "@/redux/saga/operators.saga";
import { getAllPlans } from "@/redux/saga/plans.saga";
import {
  getAllBillers,
  getAllBillersEducation,
  getAllInputFields,
  getBillFetchSaga,
  payBillSaga,
} from "@/redux/saga/bbps.saga";
import {
  sendOtpUserSaga,
  registerUserSaga,
  setOtpUserSaga,
  onFetchMyProfile,
  validateLoginSaga,
  validateUserSaga,
  updateProfileSaga,
  setOtpNewUserSaga,
} from "./auth.saga";
import { onFetchMyPassbook, onFetchWallet } from "./passbook.saga";
import { getAllOffers } from "./featured.offers.saga";
import { getAllDTHCategory } from "./dth.category.saga";
import {
  getComplaintStatusSaga,
  sendComplaintSaga,
  getComplaintTransactionHistorySaga,
} from "./complaints.saga";
import { setPlanMobile } from "./mobile.plan.saga";
import { validateCouponCode } from "./coupon.saga";
import { getCitiesByStateCode, getStates } from "./state.city.saga";
import {
  checkStatusOfPaymentSaga,
  sendUpiPaymentSaga,
} from "./upi.payment.saga";

function* rootSaga() {
  yield all([
    call(getAllCategory),
    call(getAllOperator),
    call(getAllPlans),
    call(getAllBillers),
    call(getAllInputFields),
    call(getBillFetchSaga),
    call(sendOtpUserSaga),
    call(registerUserSaga),
    call(setOtpUserSaga),
    call(setOtpNewUserSaga),
    call(onFetchMyProfile),
    call(validateLoginSaga),
    call(validateUserSaga),
    call(onFetchMyPassbook),
    call(updateProfileSaga),
    call(getAllOffers),
    call(getAllDTHCategory),
    call(onFetchWallet),
    call(sendComplaintSaga),
    call(getComplaintStatusSaga),
    call(getComplaintTransactionHistorySaga),
    call(setPlanMobile),
    call(validateCouponCode),
    call(getStates),
    call(getCitiesByStateCode),
    call(getAllBillersEducation),
    call(payBillSaga),
    call(sendUpiPaymentSaga),
    call(checkStatusOfPaymentSaga),
  ]);
}

export default rootSaga;
