import { put, takeLatest, call } from "@redux-saga/core/effects";
import {
  populateStates,
  populateStatesFailed,
  populateCityByStateCode,
  populateCityByStateCodeFailed,
} from "../actions/state.city.actions";

import api from "../config/api.main";
import {
  LOAD_STATE_REQUEST,
  LOAD_CITY_REQUEST,
} from "../constants/state.city.constants";

export function* getStates() {
  yield takeLatest(LOAD_STATE_REQUEST, fetchStates);
}
function* fetchStates() {
  try {
    const {
      data: { data },
    } = yield call(api, `/BillPay/getBillerState.jsp`);
    yield put(populateStates(data));
  } catch (error) {
    yield put(
      populateStatesFailed(typeof error !== "object" ? error : error.message)
    );
  }
}

/*----------------------------------
          CITY SAGA
==================================*/
export function* getCitiesByStateCode() {
  yield takeLatest(LOAD_CITY_REQUEST, fetchBillers);
}
function* fetchBillers({ payload }) {
  try {
    const {
      data: { data },
    } = yield call(api, `/BillPay/getCityByState.jsp?stateCode=${payload}`);

    yield put(populateCityByStateCode(data));
  } catch (error) {
    yield put(
      populateCityByStateCodeFailed(
        typeof error !== "object" ? error : error.message
      )
    );
  }
}
