import { useEffect } from "react";
import FormAndPreview from "@/components/Container/FormAndPreview";
import { useSelector } from "react-redux";
import BBPSRechargeForm from "./_Form";
import Alert from "sweetalert2";
import Slider from "@/components/Slider/Slider";

const BBPS = ({ serviceId, serviceTypeName }) => {
  const { error: errorCat } = useSelector((state) => state.category);

  useEffect(() => {
    errorCat
      ? Alert.fire({
          title: "Oops!!",
          text: "Something went wrong, please try again",
          icon: "error",
          confirmButtonText: "CLOSE",
        })
      : null;
  }, [errorCat]);

  return (
    <FormAndPreview
      form={
        <BBPSRechargeForm
          serviceId={serviceId}
          serviceTypeName={serviceTypeName}
        />
      }
      preview={
        <>
          <Slider slider={true} />
        </>
      }
      // preview={
      //   !_.isEmpty(plans) ? (
      //     <PreviewPlans
      //       plans={plans}
      //       filterData={filterData}
      //       setAmountValue={pullRechargeAmount}
      //       loading={loading}
      //     />
      //   ) : (
      //     <>
      //       <Slider loading={loading} />
      //     </>
      //   )
      // }
    />
  );
};

export default BBPS;
