/* eslint-disable jsx-a11y/anchor-is-valid */
// import Overlay from "@/components/Overlay";
// import PageHeader from "@/components/PageHeader";
import PageHeader from "@/components/PageHeader";
import Spinner from "@/components/Spinner";
import { getPassBook, getWalletBalance } from "@/redux/actions/passbook.action";
import _ from "lodash";
import Image from "next/image";
import {
  FormControl,
  FormControlLabel,
  FormLabel,
  Grid,
  Link as MuiLink,
  Paper,
  Radio,
  RadioGroup,
  Typography,
} from "@material-ui/core";
import Cookies from "js-cookie";
import { useEffect, useMemo } from "react";
import { useDispatch, useSelector } from "react-redux";
import { useStyles } from "./utils";
import Moment from "react-moment";
import Overlay from "@/components/Overlay";
import Link from "next/link";
import Controls from "@/components/Controls/Controls";
import { LinkImageButton } from "@/components/Styled/LinkImageButton";
import complaintList from "@/config/complaintList";
import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";
import { getMyProfile } from "@/redux/actions/auth.actions";
// import MyProfileForm from "./_Form";

const ComplaintsComponent = () => {
  const classes = useStyles();
  const dispatch = useDispatch();

  const { isValid, loading } = useSelector((state) => state.userValidate);
  const { isAuthenticated, loadProf } = useSelector((state) => state.myProfile);
  const { passbook, loading: loadPass } = useSelector(
    (state) => state.passbook
  );
  const { wallet, loading: loadWallet } = useSelector((state) => state.wallet);
  const reg_id = Cookies.get("regId");
  const mobile = Cookies.get("mobile");
  useEffect(() => {
    dispatch(getPassBook({ reg_id, mobile }));
  }, [dispatch, reg_id, mobile]);

  // useEffect(() => {
  //   isAuthenticated &&
  //     dispatch(
  //       getWalletBalance({
  //         reg_id,
  //         mbl: mobile,
  //       })
  //     );
  // }, [dispatch, reg_id, mobile, isAuthenticated]);
  useEffect(() => {
    dispatch(getWalletBalance({ reg_id, mbl: mobile }));
  }, [dispatch, reg_id, mobile]);
  useEffect(() => {
    console.log(reg_id, mobile);
    // dispatch(getMyProfile(reg_id, mobile));
  }, [dispatch, reg_id, mobile]);
  useMemo(
    () => () => {
      dispatch(getMyProfile(reg_id, mobile));
    },
    [dispatch, reg_id, mobile]
  );
  // function handleClick(event) {
  //   event.preventDefault();
  //   console.info("You clicked a breadcrumb.");
  // }
  // const myLoader = ({ src, width, quality }) => {
  //   return `http://aaipay.in/${src}?w=${width}&q=${quality || 40}`;
  // };
  if (loadProf === true) {
    return <Overlay />;
  }
  if (loadPass === true) {
    return <Overlay />;
  }
  if (loadWallet === true) {
    return <Overlay />;
  }
  console.table({ loadProf, loadPass, loadWallet });
  return (
    <>
      {/* {loadPass && <Overlay />}
      {loadProf && <Overlay />} */}
      <div className={classes.root}>
        <GeneralBreadcrumbs />
        <PageHeader
          title="BBPS COMPLAINT"
          subTitle="Manage BBPS Complaints from Here"
        />
        {/* <Typography variant="h6" style={{ fontSize: 18 }}>
          COMPLAINT REGISTRATION
        </Typography> */}
        <Grid container>
          {complaintList.map((item) => (
            <Grid
              item
              xs={12}
              sm={6}
              md={4}
              key={item.id}
              style={{
                display: "flex",
                justifyContent: "center",
                alignItems: "center",
              }}
            >
              <Paper
                elevation={2}
                style={{
                  display: "flex",
                  justifyContent: "center",
                  alignItems: "center",
                  padding: 40,
                  minWidth: 250,
                  marginTop: 60,
                  borderRadius: 20,
                }}
              >
                <center>
                  <Link href={item.href}>
                    <a className={classes.link}>
                      <Image
                        alt={item.id}
                        width={100}
                        height={100}
                        src={item.image}
                        className="imageColorComplaint"
                      />
                      <Typography variant="subtitle2" className={classes.text}>
                        {item.text}
                      </Typography>
                    </a>
                  </Link>
                </center>
              </Paper>
            </Grid>
          ))}
        </Grid>
      </div>
    </>
  );
};

export default ComplaintsComponent;
