import { makeStyles } from "@material-ui/core";
import { checkNumeric, validateEmail } from "utils/customFunctions";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/
const validate = (values) => {
  const errors = {};

  if (values.mobileNo.length !== 10 || !checkNumeric(values.mobileNo)) {
    errors.mobileNo = "Invalid Mobile Number.";
  }

  if (!values.txId || values.txId === "") {
    errors.txId = "Transaction Ref ID is required.";
  }
  if (!values.complaintDispo || values.complaintDispo === {}) {
    errors.complaintDispo = "Complaint Disposition is required.";
  }
  if (!values.complaintDetails || values.complaintDetails === "") {
    errors.complaintDetails = "Complaint Details is required.";
  }
  if (values.complaintType !== "Transaction") {
    if (!values.serveReason || values.serveReason === "") {
      errors.serveReason = "Service Reason  is required.";
    }
    return errors;
  }

  return errors;
};
// };
// const validateService = (values) => {
//   const errors = {};

//   if (values.mobileNo.length !== 10 || !checkNumeric(values.mobileNo)) {
//     errors.mobileNo = "Invalid Mobile Number.";
//   }

//   if (!values.serveReason || values.serveReason === "") {
//     errors.serveReason = "serve Reason Ref ID is required.";
//   }
//   if (!values.complaintDispo || values.complaintDispo === "") {
//     errors.complaintDispo = "complaint Disposition is required.";
//   }
//   if (!values.complaintDetails || values.complaintDetails === "") {
//     errors.complaintDetails = "complaint Details is required.";
//   }

//   return errors;
// };

const initialValues = {
  complaintType: "Transaction",
  mobileNo: "",
  complaintDispo: "",
  txId: "",
  complaintDetails: "",
  serveReason: "",
  complaintDispoOptions: {},
};
const complaintDispoOptions = [
  {
    id: "Transaction Successful. Account Not Updated",
    title: "Transaction Successful. Account Not Updated",
  },
  {
    id: "Amount Deducted, Biller account credited but transaction ID not received",
    title:
      "Amount Deducted, Biller account credited but transaction ID not received",
  },
  {
    id: "Amount Deducted, Biller account not  credited and  transaction ID not received",
    title:
      "Amount Deducted, Biller account not  credited and  transaction ID not received",
  },
  {
    id: "Amount Deducted multiple times",
    title: "Amount Deducted multiple times",
  },
  {
    id: "Amount detected but seller id not received",
    title: "Amount detected but seller id not received",
  },
  {
    id: "Double payment updated",
    title: "Double payment updated",
  },
  {
    id: "Erroneously paid in wrong account",
    title: "Erroneously paid in wrong account",
  },
  {
    id: "Others, provide details in description",
    title: "Others, provide details in description",
  },
];
const useStyles = makeStyles((theme) => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500,
    // color: "#ccc",
  },
  // headerRoot: {
  //   // width: (props) =>
  //   // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

  //   // height: "calc(100vh - 75px)",
  //   overflowY: "auto",
  //   // paddingTop: theme.spacing(5),
  //   // paddingBottom: theme.spacing(5),
  //   paddingLeft: theme.spacing(5),
  //   paddingRight: theme.spacing(5),
  //   // minHeight: 500,
  //   // color: "#ccc",
  // },
  text: {
    marginTop: theme.spacing(2),
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.secondary,
  },
  billPayIcon: {
    display: "flex",
    justifyContent: "flex-end",
    alignItems: "center",
    position: "relative",
    top: -25,
  },
}));
export { validate, initialValues, complaintDispoOptions, useStyles };
