import ComplainTransactionForm from "./_Form";

import React, { useEffect } from "react";
import PageHeader from "@/components/PageHeader";
import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";
import { Grid } from "@material-ui/core";
import Image from "next/image";
import { useStyles } from "./utils";
import { useDispatch, useSelector } from "react-redux";
import { getMyProfile } from "@/redux/actions/auth.actions";
import Cookies from "js-cookie";
import { getWalletBalance } from "@/redux/actions/passbook.action";
import Overlay from "@/components/Overlay";

const ComplaintsTransactionComponent = () => {
  const classes = useStyles();
  const dispatch = useDispatch();
  const { userInfo, loading, loadingButton } = useSelector(
    (state) => state.myProfile
  );
  const { userInfo: userInfoWithRegId } = useSelector((state) => state.setOtp);
  useEffect(() => {
    if (typeof userInfoWithRegId.regId !== "undefined") {
      dispatch(
        getMyProfile(userInfoWithRegId?.regId, userInfoWithRegId?.mobile)
      );
    }
  }, [userInfoWithRegId.regId, userInfoWithRegId.mobile, dispatch]);
  const { isAuthenticated } = useSelector((state) => state.myProfile);
  const reg_id = Cookies.get("regId");
  const mbl = Cookies.get("mobile");
  useEffect(() => {
    isAuthenticated &&
      dispatch(
        getWalletBalance({
          reg_id,
          mbl,
        })
      );
  }, [dispatch, reg_id, mbl, isAuthenticated]);
  return (
    <>
      {loading && <Overlay />}
      <div className={classes.root}>
        <GeneralBreadcrumbs />
        <Grid container>
          <Grid
            item
            xs={8}
            md={8}
            style={{ display: "flex", justifyContent: "flex-start" }}
          >
            <PageHeader
              title="Complaint Transaction History"
              subTitle="Check your complaints Transaction History"
            />
          </Grid>
          <Grid item xs={4} md={4} className={classes.billPayIcon}>
            <Image
              src="/assets/images/Bharat-BillPay-Final-Logo.jpg"
              alt="Bharat BillPay"
              width="78"
              height="27"
            />
          </Grid>
        </Grid>
        <ComplainTransactionForm loadingButton={loadingButton} />
      </div>
    </>
  );
};

export default ComplaintsTransactionComponent;
