import { makeStyles } from "@material-ui/core";
import { checkNumeric, validateEmail } from "utils/customFunctions";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/
const validate = (values) => {
  const errors = {};
  if (values.searchBy === "searchById") {
    if (!values.txnId || values.txnId === "") {
      errors.txnId = "Transaction ID is required.";
    }
    return errors;
  }
  if (values.searchBy === "searchByMobileNo") {
    if (!values.mobNo || values.mobNo === "") {
      errors.mobNo = "Mobile Number is required.";
    }
    return errors;
  }

  return errors;
};

const initialValues = {
  mobNo: "",
  searchBy: "searchById",
  txnId: "",
  fromDate: new Date(),
  toDate: new Date(),
};

const useStyles = makeStyles((theme) => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500,
    // color: "#ccc",
  },
  text: {
    marginTop: theme.spacing(2),
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.secondary,
  },
  billPayIcon: {
    display: "flex",
    justifyContent: "flex-end",
    alignItems: "center",
    position: "relative",
    top: -25,
  },
}));
export { validate, initialValues, useStyles };
