import { useEffect, useState } from "react";
import FormAndPreview from "@/components/Container/FormAndPreview";
import Offers from "@/components/Offers/Offers";
import { useDispatch, useSelector } from "react-redux";
import MobileRechargeForm from "./_Form";
import PreviewPlans from "./PreviewPlans";
import Alert from "sweetalert2";

import _ from "lodash";
import Slider from "@/components/Slider/Slider";
import DTH from "@/components/DTH/DTH";
import AboutUs from "@/components/AboutUS";
import GetOnStore from "@/components/GetOnStore";

const Mobile = ({ categories }) => {
  const {
    plans,
    error: errorPlan,
    loading,
    main,
  } = useSelector((state) => state.plans);
  const dispatch = useDispatch();
  // const { error: errorCat } = useSelector((state) => state.category);
  const { error: errorOp } = useSelector((state) => state.operators);
  const [amount, setAmount] = useState("");

  useEffect(() => {
    errorOp || errorPlan
      ? Alert.fire({
          title: "Oops!!",
          text: "Something went wrong, please try again",
          icon: "error",
          confirmButtonText: "CLOSE",
        })
      : null;
  }, [errorOp, errorPlan]);
  const pullRechargeAmount = (amount) => {
    setAmount(amount);
  };

  const filterData = plans && Object.keys(plans);
  return (
    <>
      <FormAndPreview
        form={<MobileRechargeForm amount={amount} />}
        preview={
          !_.isEmpty(plans) && !loading ? (
            <PreviewPlans
              plans={plans}
              filterData={filterData}
              setAmountValue={pullRechargeAmount}
              loading={loading}
              slider={false}
            />
          ) : (
            <>
              <Slider slider={true} />
            </>
          )
        }
      />
      {/* <Offers /> */}
      <DTH />
      <AboutUs />
      <GetOnStore />
      {/* <Button
        onClick={() =>
          dispatch(
            openModal({
              modalType: ModalExample,
              modalProps: {
                component: <LoginComponent />,
                open: true,
                // setOpen: setOpen,
                widthDrawer: 800,
                title: "Login",
                closeDrawerAction: true,
              },
            })
          )
        }
        text="Open Modal"
      /> */}
    </>
  );
};

export default Mobile;
