import { makeStyles } from "@material-ui/core";
import { checkNumeric } from "utils/customFunctions";
import * as yup from "yup";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/
const validate = (values) => {
  const errors = {};

  if (values.mbl.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }
  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  } else if (!checkNumeric(values.recharge_amount)) {
    errors.recharge_amount = "Only Numeric values are allowed.";
  }

  return errors;
};

const initialValues = {
  recharge_type: "PREPAID",
  mbl: "",
  Operator: "",
  Circle: "",
  operator_name: "",
  recharge_amount: "",
};
const columns = [
  {
    id: "Type",
    align: "center",
    minWidth: 90,
    label: "Recharge Type",
    textTransform: "capitalize",
  },
  {
    id: "validity",
    align: "center",
    minWidth: 120,
    label: "Validity",
    textTransform: "uppercase",
    // textTransformFirstChar: true,
  },
  {
    id: "desc",
    align: "left",
    minWidth: 90,
    label: "Description",
    // textTransform: 'lowercase',
    textTransformFirstChar: true,
  },
  {
    id: "rs",
    align: "center",
    minWidth: 90,
    label: "Price",
    textTransform: "lowercase",
    button: true,
    // textTransformFirstChar: true,
  },
];

const useStyles = makeStyles((theme) => ({
  root: {},
  loadingButton: {
    "&:disabled": {
      cursor: "not-allowed",
      pointerEvents: "all !important",
    },
  },
}));
export { validate, initialValues, columns, useStyles };
