import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";
import Overlay from "@/components/Overlay";
import PageHeader from "@/components/PageHeader";
import { getWalletBalance } from "@/redux/actions/passbook.action";
import Cookies from "js-cookie";
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { useStyles } from "./utils";
import MyProfileForm from "./_Form";

const MyProfileComponent = () => {
  const classes = useStyles();

  const dispatch = useDispatch();
  const { loading, isAuthenticated, userInfo } = useSelector(
    (state) => state.myProfile
  );
  const reg_id = Cookies.get("regId");
  const mbl = Cookies.get("mobile");

  useEffect(() => {
    isAuthenticated &&
      dispatch(
        getWalletBalance({
          reg_id,
          mbl,
        })
      );
  }, [dispatch, reg_id, mbl, isAuthenticated]);
  return (
    <>
      {loading && <Overlay />}
      <div className={classes.root}>
        <GeneralBreadcrumbs />
        <PageHeader
          title="My Profile"
          subTitle="Manage Your Profile from Here"
        />
        <MyProfileForm userInfo={userInfo} />
      </div>
    </>
  );
};

export default MyProfileComponent;
