import { makeStyles } from "@material-ui/core";
import { checkNumeric, validateEmail } from "utils/customFunctions";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/
const validate = (values) => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }
  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }
  if (!values.Email) {
    errors.Email = "Email address is required.";
  }
  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  return errors;
};

const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: "",
};

const useStyles = makeStyles((theme) => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
  },
}));
export { validate, initialValues, useStyles };
