import { makeStyles } from "@material-ui/core";
import { checkNumeric, validateEmail } from "utils/customFunctions";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/
const validate = (values) => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }
  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }
  if (!values.Email) {
    errors.Email = "Email address is required.";
  }
  if (!values.Name) {
    errors.Name = "Name is required.";
  }
  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  }

  return errors;
};
/* initialValues: {
//       Mobile: props?.userInfo?.Mobile ? props?.userInfo?.Mobile : "",
//       Email: props?.userInfo?.Email ? props?.userInfo?.Email : "",
//       Address: props?.userInfo?.Address ? props?.userInfo?.Address : "",
//       gender:
//         props?.userInfo?.gender && props?.userInfo?.gender !== "NA"
//           ? props?.userInfo?.gender
//           : "male",
//       Name: props?.userInfo?.Name ? props?.userInfo?.Name : "",
//       zip: props?.userInfo?.zip ? props?.userInfo?.zip : "",
//       city: props?.userInfo?.city ? props?.userInfo?.city : "",
//       state: props?.userInfo?.state ? props?.userInfo?.state : "",
//       reg_date: props?.userInfo?.reg_date ? props?.userInfo?.reg_date : "",
//     }, */
const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: "",
};
const columns = [
  {
    id: "Type",
    align: "center",
    minWidth: 90,
    label: "Recharge Type",
    textTransform: "capitalize",
  },
  {
    id: "validity",
    align: "center",
    minWidth: 120,
    label: "Validity",
    textTransform: "uppercase",
    // textTransformFirstChar: true,
  },
  {
    id: "desc",
    align: "left",
    minWidth: 90,
    label: "Description",
    // textTransform: 'lowercase',
    textTransformFirstChar: true,
  },
  {
    id: "rs",
    align: "center",
    minWidth: 90,
    label: "Price",
    textTransform: "lowercase",
    button: true,
    // textTransformFirstChar: true,
  },
];
const useStyles = makeStyles((theme) => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500,
    // color: "#ccc",
  },
  text: {
    marginTop: theme.spacing(2),
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary,
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center",
  },
  para3: {
    lineHeight: 1.8,
    marginLeft: theme.spacing(1.5),
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center",
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center",
  },
}));
export { validate, initialValues, columns, useStyles };
