/* eslint-disable jsx-a11y/anchor-is-valid */

import { getPassBook, getWalletBalance } from "@/redux/actions/passbook.action";

import { Grid, Typography } from "@material-ui/core";
import Cookies from "js-cookie";
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { useStyles } from "./utils";

import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";

import { useWindowSize } from "@/hooks/useWindowSize";
// import MyProfileForm from "./_Form";

const RefundPolicyComponent = () => {
  const classes = useStyles();
  const dispatch = useDispatch();
  const { isAuthenticated, loadProf } = useSelector((state) => state.myProfile);
  const reg_id = Cookies.get("regId");
  const mobile = Cookies.get("mobile");
  useEffect(() => {
    dispatch(getPassBook({ reg_id, mobile }));
  }, [dispatch, reg_id, mobile]);

  useEffect(() => {
    isAuthenticated &&
      dispatch(
        getWalletBalance({
          reg_id,
          mbl: mobile,
        })
      );
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  const { width: windowWidth } = useWindowSize();
  return (
    <>
      <div className={classes.root}>
        <GeneralBreadcrumbs />

        <Typography
          variant="h6"
          style={{ fontSize: 28, textTransform: "uppercase", marginBottom: 30 }}
        >
          REFUND POLICY
        </Typography>
        <Grid container spacing={2}>
          <Grid item xs={12} md={12}>
            <Typography variant="body1" className={classes.para} component="p">
              All sales are final with no refund or exchange permitted. You are
              responsible for the payment of the mobile number or DTH account
              number or bill payment and all charges that result from these
              payments. We shall not be responsible for any payment for an
              incorrect mobile number or DTH account number or bill payment
              number. In case, money has been charged to your card or bank
              account or pre-paid payment instrument and a payment/service is
              not delivered by the service provider within 24 hours of your
              completion of the transaction then you may inform us regarding the
              same by sending an email to care@Aaipay.in. Please include in the
              email the following details: the mobile number or DTH account
              number or bill payment number, service provider name, payment
              value, transaction date and order number. We shall investigate
              such incidents and if it is found that money was indeed charged to
              your card or bank account or pre-paid payment instrument without
              delivery of the payment/service then you will be refunded the
              money within 21 working days from the date of receipt of your
              email. All refunds will be credited to your card or bank account
              or the Aaipay Balance Account. We shall have the sole discretion
              to determine the mode of reversal from the above-mentioned
              options.
            </Typography>
          </Grid>
        </Grid>
      </div>
    </>
  );
};

export default RefundPolicyComponent;
