/* eslint-disable jsx-a11y/anchor-is-valid */

import CardComponentNoMedia from "@/components/CardComponentNoMedia/index";

import { getPassBook, getWalletBalance } from "@/redux/actions/passbook.action";

import Image from "next/image";
import { Grid, Paper, Typography } from "@material-ui/core";
import Cookies from "js-cookie";
import { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { useStyles } from "./utils";

import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";

import ArrowForwardIcon from "@material-ui/icons/ArrowForward";
import aboutCards from "@/config/aboutCards";
import { useWindowSize } from "@/hooks/useWindowSize";
// import MyProfileForm from "./_Form";

const TermsOfUseComponent = () => {
  const classes = useStyles();
  const dispatch = useDispatch();
  const { isAuthenticated, loadProf } = useSelector((state) => state.myProfile);
  const reg_id = Cookies.get("regId");
  const mobile = Cookies.get("mobile");
  useEffect(() => {
    dispatch(getPassBook({ reg_id, mobile }));
  }, [dispatch, reg_id, mobile]);

  useEffect(() => {
    isAuthenticated &&
      dispatch(
        getWalletBalance({
          reg_id,
          mbl: mobile,
        })
      );
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  const { width: windowWidth } = useWindowSize();
  return (
    <>
      <div className={classes.root}>
        <GeneralBreadcrumbs />

        <Typography
          variant="h6"
          style={{ fontSize: 28, textTransform: "uppercase", marginBottom: 30 }}
        >
          TERMS OF USE
        </Typography>
        <Grid container spacing={2}>
          <Grid item xs={12} md={12}>
            <Typography
              variant="subtitle2"
              className={classes.para1}
              component="p"
            >
              In using this website you are deemed to have read and agreed to
              the following terms and conditions:
            </Typography>
          </Grid>
          <Grid item xs={12} md={12}>
            <Typography variant="body1" className={classes.para} component="p">
              1 The following terminology applies to these Terms and Conditions:
              {"Client"}, {"You"} and {"Your"} refers to you, the person
              accessing this website and accepting the {`Company's`} terms and
              conditions.
              {"The Company"}, {"Ourselves"}, {"Aaipay"}, {"We"} and {"Us"},
              refers to Aaipay.in or Aaiji Technology. {"Party"}, {"Parties"}{" "}
              refers to both the Client and ourselves, or either the Client or
              ourselves.
            </Typography>
            <Typography variant="body1" className={classes.para} component="p">
              2 All terms refer to the offer, acceptance and consideration of
              payment necessary to undertake the process of our assistance to
              the Client in the most appropriate manner. Any use of the above
              terminology or other words in the singular, plural, capitalisation
              and/or he/she or they, are taken as interchangeable and therefore
              as referring to same.
            </Typography>
            <Typography variant="body1" className={classes.para} component="p">
              3. By becoming a registered user of Aaipay.in and our affiliate
              sites, you agree to be contacted by Aaipay.in and our affiliates
              via communication modes including but not limited to email, SMS,
              MMS, and telephonic calls.
            </Typography>
            <Typography variant="body1" className={classes.para} component="p">
              4. You agree that Aaipay may, in its sole discretion and without
              prior notice, terminate Your access to the Website and block Your
              future access to the Website if Aaipay determines that You have
              violated the terms of these Terms and Conditions or any other
              agreement(s). You also agree that any violation by You of the
              agreement(s) will cause irreparable harm to Aaipay, for which
              monetary damages may be inadequate, and You consent to Aaipay
              obtaining any injunctive or equitable relief that Aaipay deems
              necessary or appropriate in such circumstances. These remedies are
              in addition to any other remedies Aaipay may have at law or in
              equity.
            </Typography>
            <Typography variant="body1" className={classes.para} component="p">
              5. Aaipay reserves the right to refuse access to use the services
              offered at the Website to new Users or to terminate access granted
              to existing Users at any time without according any reasons for
              doing so.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              6.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Payment :
              </span>
              AaiPay will only collect Personal Information where the
              information is necessary for AaiPay for carrying out any of the
              functions which are a part and parcel of the activities of AaiPay.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              7.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Use of The Recharge Facility :
              </span>
              AaiPay provides Recharge of Prepaid Phones (India) for personal
              use and not commercial use. The user in using this facility agrees
              to the following Terms 1. The User is solely responsible for
              entering the correct information ( phone number, recharge value,
              etc.) 2. AaiPay is not responsible for faulty connection on the
              side of the user while using the Payment Option In case the user
              has paid and not recieved the recharge amount, the user will have
              to submit complete transaction details along with contact details
              to customer support at AaiPay. The matter will be resolved after
              cross checking with the concerned service provider vendor after
              which refund, if any, will be made to the users account. This
              process may take 10 days or longer depending on the response from
              the vendor.AaiPay will not be liable for late action in such a
              case. 3. AaiPay will not refund any money oncea sale has taken
              place. 4. The user hereby agrees that by using the facility of
              online recharge from AaiPay, the user has agreed to pay out of
              will any extra charges on account of online service/ sale of
              online recharge.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1" className={classes.para} component="p">
              8. User is solely responsible for the selection of mobile operator
              and the recharge amount. Aaipay is not responsible for talk-time
              given against recharge done through Aaipay.in as this is purely at
              mobile {`operator's`} disposal.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              9.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Consent to use Contact Information:
              </span>
              You agree that we may collect, use and share certain information
              regarding the contacts contained in Your deviceâ€™s phone book (
              {"Contact Information"}) for promotional and marketing purpose and
              also share it with any third party in accordance with the Privacy
              Policy. By allowing Contact Information to be collected, You give
              Aaipay a right to use that Contact Information as a part of the
              service provided by Aaipay and you guarantee that you have any and
              all permissions required to share such Contact Information with
              us.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              10.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Refunds:
              </span>
              All sales are final with no refund or exchange permitted. You are
              responsible for the payment of the mobile number or DTH account
              number or bill payment and all charges that result from these
              payments. We shall not be responsible for any payment for an
              incorrect mobile number or DTH account number or bill payment
              number. In case, money has been charged to your card or bank
              account or pre-paid payment instrument and a payment/service is
              not delivered by the service provider within 24 hours of your
              completion of the transaction then you may inform us regarding the
              same by sending an email to care@Aaipay.in. Please include in the
              email the following details: the mobile number or DTH account
              number or bill payment number, service provider name, payment
              value, transaction date and order number. We shall investigate
              such incidents and if it is found that money was indeed charged to
              your card or bank account or pre-paid payment instrument without
              delivery of the payment/service then you will be refunded the
              money within 21 working days from the date of receipt of your
              email. All refunds will be credited to your card or bank account
              or the Aaipay Balance Account. We shall have the sole discretion
              to determine the mode of reversal from the above-mentioned
              options.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              11.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Coupon Redemption:
              </span>
              Coupon redemption is purely subjected to standard and specified
              terms and conditions mentioned by the respective retailer. Coupons
              are issued on behalf of the respective retailer. Hence, any
              damages, injuries, losses incurred by the end user by using the
              coupon is not the responsibility of Aaipay.in.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              12.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Exclusions and Limitations:
              </span>
              The information on this web site is provided on an {"as is"}{" "}
              basis. To the fullest extent permitted by law, this Company: (a)
              excludes all representations and warranties relating to this
              website and its contents or which is or may be provided by any
              affiliates or any other third party, including in relation to any
              inaccuracies or omissions in this website and/or the {`Company's`}
              literature; and (b) excludes all liability for damages arising out
              of or in connection with your use of this website. This includes,
              without limitation, direct loss, loss of business or profits
              (whether or not the loss of such profits was foreseeable, arose in
              the normal course of things or you have advised this Company of
              the possibility of such potential loss), damage caused to your
              computer, computer software, systems and programs and the data
              thereon or any other direct or indirect, consequential and
              incidental damages.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              13.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Limitation of Liability:
              </span>
              All transactions on the Aaipay website, monetary and otherwise,
              are non-refundable, non-exchangeable and non-reversible, save and
              except in the event of proven gross negligence on the part of
              Aaipay or its representatives, in which event the user agrees that
              the user shall only be entitled to a refund of the amount actually
              paid by the user and actually received by Aaipay with respect to
              the recharge done by the user. This limitation applies whether the
              alleged liability is based on contract, tort, negligence, strict
              liability, or any other basis, even if Aaipay has been advised of
              the possibility of such damage. Because some jurisdictions do not
              allow the exclusion or limitation of incidental or consequential
              damages, Aaipay liability in such jurisdictions shall be limited
              to the extent of the amount actually paid for by any user while
              availing any of the services on the Aaipay website.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              14.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Limitation of Liability:
              </span>
              The Company reserves the right to change these conditions from
              time to time as it sees fit and your continued use of the site
              will signify your acceptance of any adjustment to these terms.
              User is required to check terms and conditions at every visit. No
              notification communication will be done subject to change in terms
              and conditions.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              15.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                Force Majeure:
              </span>
              Neither party shall be liable to the other for any failure to
              perform any obligation under any agreement which is due to an
              event beyond the control of such party including but not limited
              to any Act of god, terrorism, war, Political insurgence,
              insurrection, riot, civil unrest, act of civil or military
              authority, uprising, earthquake, flood or any other natural or man
              made eventuality outside of our control, which causes the
              termination of an agreement or contract entered into, nor which
              could have been reasonably foreseen. Any Party affected by such
              event shall forthwith inform the other Party of the same and shall
              use all reasonable endeavours to comply with the terms and
              conditions of any agreement contained herein.
            </Typography>
          </Grid>
          <Grid item xs={12}>
            <Typography variant="body1">
              16.
              <span
                style={{
                  fontSize: "1rem",
                  fontWeight: 500,
                  marginRight: 8,
                  marginLeft: 3,
                }}
              >
                General Provision:
              </span>
              All the terms and conditions between you and Aaipay.in shall be
              governed by the law of India. By visiting Aaipay.in, you agree to
              the laws. Any dispute of any sort that might arise between you and
              Aaipay.in or its affiliates is subject to New Delhijurisdiction
              only.
            </Typography>
          </Grid>
        </Grid>
      </div>
    </>
  );
};

export default TermsOfUseComponent;
