import { useWindowSize } from "@/hooks/useWindowSize";
import {
  Grid,
  makeStyles,
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableHead,
  TableRow,
  Typography,
} from "@material-ui/core";
import { useSelector } from "react-redux";

const useStyles = makeStyles((theme) => ({
  root: {
    width: (props) =>
      props && props.windowWidth < 768 ? `${props.windowWidth - 96}px` : "100%",

    // height: "calc(100vh - 10px)",

    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    // overflowY: "scroll",
  },
  table: {
    padding: theme.spacing(2),
    margin: theme.spacing(2, 0, 0, 0),
  },
  tableContainer: {
    [theme.breakpoints.down("sm")]: {
      maxWidth: 450,
    },
  },
}));

const TransactionComplaint = () => {
  const { transaction_history, loading } = useSelector(
    (state) => state.complaintsTransaction
  );

  const windowWidth = useWindowSize();
  const { width } = windowWidth;
  const classes = useStyles({
    windowWidth: width,
  });

  return (
    <>
      <div className={classes.root}>
        <Grid container>
          {/* <Grid
            item
            xs={8}
            md={8}
            style={{ display: "flex", justifyContent: "flex-start" }}
          >
            <Typography variant="h6">
              <Image
                src="/assets/images/logos/logo.png"
                alt="Aaipay"
                width="174"
                height="45"
              />
            </Typography>
          </Grid> */}
          {/* <Grid
            item
            xs={4}
            md={4}
            style={{
              display: "flex",
              justifyContent: "flex-end",
              alignItems: "center",
            }}
          >
            <Image
              src="/assets/images/Be Assured.png"
              alt="Bharat BillPay"
              width="45"
              height="45"
            />
          </Grid> */}
          {/* <Grid
            item
            xs={12}
            style={{
              display: "flex",
              justifyContent: "center",
              alignItems: "center",
            }}
          >
            <Lottie
              loop={false}
              background="transparent"
              animationData={lotteJson}
              play
              speed={0.8}
              style={{ width: 60, height: 60 }}
            />
          </Grid> */}
          <Grid
            item
            xs={12}
            style={{
              display: "flex",
              justifyContent: "center",
              alignItems: "center",
            }}
          >
            <Typography variant="subtitle2" style={{ fontSize: 18 }}>
              TRANSACTION DETAILS
            </Typography>
          </Grid>
        </Grid>
        <>
          <Grid container spacing={2}>
            <Grid item xs={12}>
              <TableContainer className={classes.tableContainer}>
                <Table className={classes.table} size="small">
                  <TableHead>
                    <TableRow>
                      <TableCell>Amount</TableCell>
                      <TableCell>Biller Name</TableCell>
                      <TableCell>Transaction Date</TableCell>
                      <TableCell>Transaction Reference Id</TableCell>
                      <TableCell>Transaction Status</TableCell>
                    </TableRow>
                  </TableHead>
                  <TableBody>
                    {transaction_history.map((th, i) => {
                      return (
                        <TableRow key={i}>
                          <TableCell>{th.totalAmount}</TableCell>
                          <TableCell>{th.customerName}</TableCell>
                          <TableCell>{th.txnTimestamp}</TableCell>
                          <TableCell>{th.txnRefId}</TableCell>
                          <TableCell>{th.txnStatus}</TableCell>
                        </TableRow>
                      );
                    })}
                    {transaction_history.length === 0 && (
                      <TableRow>
                        <TableCell colSpan={5} style={{ textAlign: "center" }}>
                          No Record found with this Query
                        </TableCell>
                      </TableRow>
                    )}
                  </TableBody>
                </Table>
              </TableContainer>
            </Grid>
          </Grid>
        </>
      </div>
    </>
  );
};

export default TransactionComplaint;
