import Cookies from "js-cookie";

export const mergeArrayObjects = (arr1, arr2) => {
  let start = 0;
  let merge = [];

  while (start < arr1.length) {
    if (arr1[start].id === arr2[start].id) {
      //pushing the merged objects into array
      merge.push({ ...arr1[start], ...arr2[start] });
    }
    //incrementing start value
    start = start + 1;
  }
  return merge;
};

export const checkNumeric = (valueToBeChecked) => {
  const patternOnlyNumeric = /^[0-9]+$/;
  return patternOnlyNumeric.test(valueToBeChecked);
};
/*-------------------------------------------------------------
    Block Invalid character in Number Type Input Field         
==============================================================*/
export const blockInvalidCharacterFromNumberType = (e) =>
  ["e", "E", "+", "-"].includes(e.key) && e.preventDefault();

export const windowWidth = typeof window !== "undefined" && window.innerWidth;

/*----------------------------------
         CHECK VALID EMAIL          
==================================*/

export const validateEmail = (email) => {
  const pattern =
    /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return pattern.test(String(email).toLowerCase());
};

/*----------------------------------
         GET COOKIE DATA          
==================================*/

export const getCookieData = () => {
  const mobile = Cookies.get("mobile");
  const regId = Cookies.get("regId");
  const loginKey = Cookies.get("loginKey");
  const password = Cookies.get("password");
  const device = Cookies.get("device") || "1244115844";
  const ip = Cookies.get("ip");

  return {
    regId,
    validationData: {
      mobile,
      data: {
        device,
        ip,
        loginKey,
        password,
      },
    },
  };
};

/*----------------------------------
          CAPITALIZE SENTENCE          
==================================*/

export const capitalize = (str, lower = true) =>
  (lower ? str?.toLowerCase() : str)?.replace(/(?:^|\s|["'([{])+\S/g, (match) =>
    match?.toUpperCase()
  );

/*----------------------------------
          CAPITALIZE SENTENCE          
==================================*/
